(function (angular, document, createBillingRouters) {
    'use strict';
    /*jshint strict:false */
    /* jshint -W097 */
    /*global angular:false, window:false,cordova:false,ionic:false,console:false,alert:false,X2JS:false,Base64:false,setTimeout:false */
    // Ionic Starter App
    /*global angular:false, window:false,cordova:false,ionic:false,console:false,alert:false,StatusBar:false,X2JS:false,Image:false,navigator:false,setTimeout:false*/
    /* jshint -W097 */

    // angular.module is a global place for creating, registering and retrieving Angular modules
    // 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
    // the 2nd parameter is an array of 'requires'
    // 'starter.controllers' is found in controllers.js

    angular.module('starter', ['ionic', 'ngCordova', 'starter.config', 'starter.filter','starter.db','tableData',
            'start.directive', 'ngSanitize', 'public', 'menuModule','YB_REGEXP','apiService', 'cacheService','UtilService','BusinessLogicService', 'expireService','agreementService','modalService','PluginModule','CommonModule','ionic-datepicker','templates'])
        //'ngCordova'

        .run(['$state', '$ionicPlatform', '$location', '$ionicPopup', '$ionicHistory', '$rootScope', 'commonLib', '$timeout',
    'KEY_CONST', 'TAB_INDEX','stateDatas','$cordovaNetwork','$cordovaAppVersion','VersionSvr','LocalData', 'cancelBackRouters','deviceInfo','localStorageService','imageUtil',
            function ($state, $ionicPlatform, $location, $ionicPopup, $ionicHistory, $rootScope,commonLib,$timeout, KEY_CONST, TAB_INDEX, stateDatas,$cordovaNetwork,$cordovaAppVersion,VersionSvr,LocalData, cancelBackRouters,deviceInfo,localStorageService,imageUtil) {

                $ionicPlatform.ready(function () {
                    if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
                        cordova.plugins.Keyboard.hideKeyboardAccessoryBar(false);
                        if ($ionicPlatform.is('IOS')) {
                            cordova.plugins.Keyboard.disableScroll(true);
                        }
                    }
                    if (window.StatusBar) {
                        //StatusBar.styleLightContent();
                        //适配浅色背景
                        StatusBar.styleDefault();
                    }
                    window.ybWebSocket = window.WebSocket || null;
                    window.ybMozWebSocket = window.MozWebSocket || null;
                    if(window.WebSocket){
                        delete window.WebSocket;
                    }
                    if(window.MozWebSocket){
                        delete window.MozWebSocket;
                    }
                    imageUtil.initType();
                    $timeout(function () {
                        window.appClientHeight = document.documentElement.clientHeight;
                        checkClientHeight();
                    },350);


                });

                function checkClientHeight() {
                    if(window.appClientHeight > 200){
                       return;
                    }
                    cordovaHeaLog.log("info",new Date() +"",JSON.stringify({
                        clientHeight:window.appClientHeight
                    }),function (msg) {
                    },function () {
                    });
                }

                 //主页面显示退出提示框
                //当每个page需要自己特定的后退按键逻辑时，请在自己page对应的controller中添加注册函数
                //注意：1.添加的注册函数优先级需要高于此处的优先级“101”，
                //2. 在controller退出时，需要注销注册的callback。具体可参考allPurchaseList.js中的用法
                $ionicPlatform.registerBackButtonAction(function (e) {
                    e.preventDefault();
                    function showConfirm() {
                        commonLib.showConfirm('你确定要退出应用吗?','退出应用','退出','取消').then(function (res) {
                            if (res) {
                                ionic.Platform.exitApp();
                            }
                        });
                    }
                    var needCancelBackRouters = cancelBackRouters.get();
                    var indexOfCancelBackRoutes = needCancelBackRouters.indexOf($state.current.name);
                    if ( indexOfCancelBackRoutes>= 0) {
                        $rootScope.$broadcast("cancelBack", needCancelBackRouters[indexOfCancelBackRoutes]);
                        return;
                    }
                    var needExitRouters = ['/public/index','/public/setting','/public/login/','/public/boss/index','/public/distribution/tab_seller/admin_index','/public/distribution/tab_seller/index','/public/distribution/login','/public/login/off'];
                    // Is there a page to go back to?
                    if (needExitRouters.indexOf($location.path()) >= 0) {
                        showConfirm();
                    } else {
                        $ionicHistory.goBack();
                    }
                    //return false;
                }, 101);
                

                $rootScope.$on('$stateChangeStart', function (event, toState, toParams, fromState, fromParams) {
                    //路由跳转时让bubble消失
                    document.getElementById('ybBubble').style.display = 'none';
                    $rootScope.$broadcast("routerChangeStart",toState);
                    if (window.cordova && window.cordova.plugins.Keyboard.isVisible) {
                        window.cordova.plugins.Keyboard.close();
                    }

                    if (angular.isDefined(toState.data) && angular.isDefined(toState.data.powerId)) {
                        if (!LocalData.CheckPermission(toState.data.powerId)) {
                            $ionicPopup.alert({
                                title: '<span class="warning">!</span> 温馨提示',
                                template: '尊敬的用户您好，您暂无此权限，若您想使用此权限,请咨询企业管理员。',
                                buttons: [{text: '确定'}]
                            });
                            event.preventDefault();
                            return;
                        }
                    }

                });

                var distributionUrlList = [
                    "public.distribution.saleOrderDetail",
                    "public.distribution.returnDetail",
                    "public.distribution.weMallOrderDetail",
                    "public.distribution.purchaseOrderDetail",
                    "public.distribution.purchaseDetail",
                    "public.distribution.dispatchPurchaseDetail"
                ];

                $rootScope.$on('$stateChangeSuccess',function (event, toState, toParams, fromState, fromParams) {
                    $rootScope.$broadcast('routeChangeSuccess',{routeName: toState.name});
                    if(!window.printedObj){
                        return;
                    }
                    if(toState && fromState && "public.common.billsManage" === toState.name && distributionUrlList.indexOf(fromState.name) > -1){
                        $timeout(function () {
                            $rootScope.$broadcast("markPrintedList",{BillId: window.printedObj.BillId, BillType: window.printedObj.BillType,OrderPrintType: window.printedObj.OrderPrintType});
                            window.printedObj = null;
                        },0);
                    }
                });

                $ionicPlatform.on('deviceready', function () {
                    //deviceReadyCallBack();
                    if(deviceInfo && deviceInfo.isSupportScan()){
                        //设置扫码优先
                        localStorageService.set('basicSetting', {
                            orderModal:'byScan'
                        });
                        cordova.plugins.SeuicScanner._initBroadcastName();
                    }
                    $timeout(function () {
                        navigator.splashscreen.hide();
                    }, 1000);
                    //设置APP版本信息
                    VersionSvr.getCurVersion().then(function (version) {
                        window.currentAppVersion = version;
                    });
                    dealWithCompatibility();
                    cordova.getAppVersion.getPackageName(function (name) {
                        window.APPPACKAGENAME = name;
                        $state.go('public.distribution.login');
                    });
                });

                function dealWithCompatibility() {
                    var storageObj =  localStorageService.get('saleListObj');
                    if(!storageObj){
                        return;
                    }
                    if(storageObj.length < 6){
                        localStorageService.remove('saleListObj');
                        localStorageService.remove('returnListObj');
                    }
                }

                //开发调试入口
                if(!window.cordova){
                    dealWithCompatibility();
                    $state.go('public.distribution.login');
                }
            }])

        .config(['$stateProvider', '$urlRouterProvider', '$ionicConfigProvider','SkuActiveConfigProvider', function ($stateProvider, $urlRouterProvider, $ionicConfigProvider,SkuActiveConfigProvider) {

            //andoird 底部出现在了上部 解决方案
            //$httpProvider.defaults.withCredentials = true;
            $ionicConfigProvider.platform.ios.tabs.style('standard');
            $ionicConfigProvider.platform.ios.tabs.position('bottom');
            $ionicConfigProvider.platform.android.tabs.style('standard');
            $ionicConfigProvider.platform.android.tabs.position('standard');

            $ionicConfigProvider.platform.ios.navBar.alignTitle('center');
            $ionicConfigProvider.platform.android.navBar.alignTitle('center');

            $ionicConfigProvider.platform.ios.backButton.previousTitleText('').icon('ion-ios-arrow-thin-left');
            $ionicConfigProvider.platform.android.backButton.previousTitleText('').icon('ion-android-arrow-back');

            $ionicConfigProvider.platform.ios.views.transition('ios');
            $ionicConfigProvider.platform.android.views.transition('android');
            $ionicConfigProvider.views.swipeBackEnabled(false);

            // Ionic uses AngularUI Router which uses the concept of states
            // Learn more here: https://github.com/angular-ui/ui-router
            // Set up the various states which the app can be in.
            // Each state's controller can be found in controlles.js

            $stateProvider
                .state('public', {
                    url: '/public',
                    abstract: true,
                    templateUrl: 'templates/public/public.html',
                    controller: 'PublicCtrl',
                    controllerAs: 'PublicCtrl'
                })
                /*****************************************************************************************
                 *                                                                                       *
                 *                                测试组工具                                                *
                 *                                                                                       *
                 ******************************************************************************************/

                .state('public.testTools', {
                    url: '/testTools',
                    cache: true,
                    views: {
                        'public': {
                            templateUrl: 'templates/Tools/testTools.html',
                            controller: 'TestToolsCtrl'
                        }
                    }
                });

            // createBossRouters($stateProvider);
            createBillingRouters($stateProvider,SkuActiveConfigProvider);
            // $urlRouterProvider.otherwise('/public/login');

        }]).config(['$provide', function ($provide) {
        $provide.decorator('$exceptionHandler',
            ['$delegate', function ($delegate) {
                var appErrorPrefix = new Date() + "";
                return function (exception, cause) {
                    $delegate(exception, cause);
                    //if (appErrorPrefix && exception.message.indexOf(appErrorPrefix) === 0) { return; }
                    var errorData = {exception: exception, cause: cause};
                    if(!window.cordovaHeaLog){
                        return;
                    }
                    cordovaHeaLog.log("error",new Date() +"",JSON.stringify({
                        msg:exception.message,
                        stack:exception.stack
                    }),function (msg) {
                    },function () {
                    });

                };
            }]);
    }]);
})(window.angular, window.document,  window.createBillingRouters);
