'use strict';
/*jshint strict:false */
/*jshint node:false */
/* jshint -W097 */
/*global angular:false, window:false,cordova:false,ionic:false,console:false,alert:false,StatusBar:false,X2JS:false */
var startCfg = angular.module('starter.config', []);

startCfg.constant('$ionicLoadingConfig', {
    template: '<ion-spinner icon="ios"></ion-spinner>',
    animation: 'fade-in',
    showBackdrop: false,
    maxWidth: 200,
    delay: 500
});

startCfg.constant('KEY_CONST', {
    PAGE_SELLER_CUSTOMER: {
        KEY_INDEX: 'key_index'
    },
    PAGE_ALL_PURCHASE_LIST: {
        KEY_TAB_INDEX: 'key_tab_index'
    }
});

//存在Tab的页面中每个tab对应的index
startCfg.constant('TAB_INDEX', {
    SELLER_CUSTOMER: {
        TAB_AUDITED_IDX: 0,
        TAB_NEED_AUDITED_IDX: 1,
        TAB_INVITATION_IDX: 2
    },
    ALL_PURCHASE_LIST: {
        TAB_ALL_INDEX: 0,
        TAB_WAIT_AUDITED_IDX: 1,
        TAB_WAIT_PAYMENT_IDX: 2,
        TAB_WAIT_DELIVER_IDX: 3,
        TAB_WAIT_RECEIVED_IDX: 4
    }
});

startCfg.constant('ebizConst', {
    auditState: {
        //[Description("初始态")]
        InitState: 0,
        //[Description("已保存")]
        Saved: 1,
        //[Description("待客户审核")]
        CustomerAudit: 2,
        //[Description("客户拒绝")]
        InnerAudit: 3,
        //[Description("待供应商审核")]
        CustomerReject: 4,
        //[Description("供应商拒绝")]
        InnerReject: 5,
        //[Description("待客户作废")]
        CustomerCancel: 6,
        //[Description("待供应商作废")]
        InnerCancel: 7,
        //[Description("已作废")]
        Invalid: 8,
        //[Description("审核通过")]
        Audited: 9,
        //[Description("出库审核通过")]
        StockOutAudited: 12,
        //[Description("结算审核通过")]
        SettlementAudited: 13
    },
    SalereturnedbillAuditState: {
        //[Description("已保存")]
        Saved: 0,
        //[Description("待审核")]
        WaitAudit: 1,
        //[Description("审核通过")]
        Pass: 2,
        //[Description("审批拒绝")]
        Reject: 3,
        //[Description("已作废")]
        Invalid: 4,
        //[Description("待收货")]
        WaitReceive: 5,
        //[Description("已完成")]
        Completed: 6
    },
    payState: {
        //[Description("初始态")]
        InitState: 0,
        //[Description("待发货")]
        UnPay: 1,
        //[Description("已发货")]
        ToPay: 2,
        //[Description("已收货")]
        PayCompleted: 3,
        PayFail: 4
    },
    shipmentState: {
        //[Description("初始态")]
        InitState: 0,
        //[Description("待支付")]
        UnDeliver: 1,
        //[Description("委托支付")]
        Delivered: 2,
        //[Description("支付成功")]
        Received: 3
    },
    PayMethod: {
        Advances: "0",//预付款
        Common: "1",//个人支付  默认支付方式
        Org: "2",//企业支付
        Terminal: "3"  //终端支付
    },
    PayWay: {
        Unknown: 0, // 未知支付方式
        ABChinaCard: 1,  //农行卡
        InternationalCard: 2, // 国际卡支付
        ABChinaCreditCard: 3, // 农行贷记卡支付
        ThirdPartyPayment: 5, // 基于第三方的跨行支付
        UnionPay: 6,  //银联跨行支付
        PublicAccount: 7,   //对公
        Cash: 8 // 现金支付


    },

    BillType: {
        PurchaseOrder: 1001,//采购订单
        SaleOrder: 1002,//销售订单
        DealerReceive: 2001,//客户收款单
        DealerPay: 2002,//客户付款单
        SupplyReceive: 2003,//供应商收款单
        SupplyPay: 2004,//供应商付款单
        PaymentBill: 2005//缴费单据
    },


    //以下是权限对照表
    //供应商
    SupplyBase: {
        //[Description("供应商查看")]
        ActionSupplyList: 1000001,
        //[Description("供应商绑定")]
        ActionSupplyBind: 1000002,
        //[Description("供应商解除绑定")]
        ActionSupplyUnBind: 1000003,
        //[Description("供应商采购目录")]
        ActionSupplyPurchaseCatalog: 1000004,
        //[Description("新增供应商采购目录")]
        ActionSupplyPurchaseCatalogAdd: 1000005,
        //[Description("编辑供应商采购目录")]
        ActionSupplyPurchaseCatalogEdit: 1000006,
        //[Description("删除供应商采购目录")]
        ActionSupplyPurchaseCatalogDelete: 1000007,
        //[Description("供应商采购目录明细")]
        ActionSupplyPurchaseCatalogMX: 1000008
    },

    //客户
    DealerBase: {
        //[Description("客户查看")]
        ActionDealerList: 2000001,
        //[Description("新增客户")]
        ActionDealerAdd: 2000002,
        //[Description("编辑客户")]
        ActionDealerEdit: 2000003,
        //[Description("删除客户")]
        ActionDealerDelete: 2000004,
        //[Description("审核客户")]
        ActionDealerAudit: 2000005,
        //[Description("导入客户")]
        ActionDealerImport: 2000006,
        //[Description("导入客户")]
        ActionDealerInvite: 2000007
    },
    DealerClassBase: {
        //[Description("增加客户分类")]
        ActionAddDealerClass: 2010001,
        //[Description("修改客户分类")]
        ActionEditDealerClass: 2010002,
        //[Description("删除客户分类")]
        ActionRemoveDealerClass: 2010003,
        //[Description("查看客户分类")]
        ActionReadDealerClass: 2010004
    },
    DealerAreaBase: {
        //[Description("增加客户区域")]
        ActionAddDealerArea: 2020001,
        //[Description("修改客户区域")]
        ActionEditDealerArea: 2020002,
        //[Description("删除客户区域")]
        ActionRemoveDealerArea: 2020003,
        //[Description("查看客户区域")]
        ActionReadDealerArea: 2020004
    },
    DealerDebitCardBase: {
        //[Description("客户结算卡管理")]
        ActionDebitCardManager: 2030001,
        //[Description("新增结算卡")]
        ActionDebitCardAdd: 2030002,
        //[Description("编辑结算卡")]
        ActionDebitCardEdit: 2030003,
        //[Description("删除结算卡")]
        ActionDebitCardDelete: 2030004,
        //[Description("导入结算卡")]
        ActionDebitCardImport: 2030005,
        //[Description("批量删除结算卡")]
        ActionBatchDebitCardDelete: 2030006
    },

    //角色,用户,部门
    CompanyBase: {
        //[Description("企业资料查看")]
        ActionCompanyInfo: 3000001,
        //[Description("企业资料修改")]
        ActionCompanyInfoEdit: 3000002
    },
    CompanyRoleBase: {
        //[Description("角色权限管理")]
        ActionRoleManager: 3010001,
        //[Description("新增角色")]
        ActionRoleAdd: 3010002,
        //[Description("删除角色")]
        ActionRoleDelete: 3010003,
        //[Description("编辑角色权限")]
        ActionRoleEdit: 3010004
    },
    CompanyUserBase: {
        //[Description("用户管理")]
        ActionUserManager: 3020001,
        //[Description("新增用户")]
        ActionUserAdd: 3020002,
        //[Description("编辑用户")]
        ActionUserEdit: 3020003,
        //[Description("删除用户")]
        ActionUserDelete: 3020004,
        //[Description("重置用户密码")]
        ActionUserRestPwd: 3020005
    },
    CompanyDeptBase: {
        //[Description("部门管理")]
        ActionDeptManager: 3030001,
        //[Description("新增部门")]
        ActionDeptAdd: 3030002,
        //[Description("编辑部门")]
        ActionDeptEdit: 3030003,
        //[Description("删除部门")]
        ActionDeptDelete: 3030004
    },

    //收付款单
    CompanyPayBillBase: {
        //[Description("付款单管理")]
        ActionPayBillManager: 3040101,
        //[Description("新增付款单")]
        ActionPayBillAdd: 3040102,
        //[Description("编辑付款单")]
        ActionPayBillEdit: 3040103,
        //[Description("删除付款单")]
        ActionPayBillDelete: 3040104,
        //[Description("打印付款单")]
        ActionPayBillPrint: 3040105
    },
    CompanyReceiptBillBase: {
        //[Description("收款单管理")]
        ActionReceiptBillManager: 3040201,
        //[Description("新增收款单")]
        ActionReceiptBillAdd: 3040202,
        //[Description("编辑收款单")]
        ActionReceiptBillEdit: 3040203,
        //[Description("删除收款单")]
        ActionReceiptBillDelete: 3040204,
        //[Description("打印收款单")]
        ActionReceiptBillPrint: 3040205
    },

    //报表
    CompanyReportBase: {
        //[Description("财务报表查看")]
        ActionReporView: 3040301,
        //[Description("收款单汇总表")]
        ActionReporPaymentSummary: 3040302,
        //[Description("收款单明细表")]
        ActionReporPaymentList: 3040303,
        //[Description("付款单明细表")]
        ActionReporOutPaymentList: 3040304,
        //[Description("客户预付款汇总表")]
        ActionReporDealerLeftPrepaymentSum: 3040305,
        //[Description("客户预付款入账明细表")]
        ActionReporDealerLeftPrepaymentIn: 3040306,
        //[Description("客户预付款出账明细表")]
        ActionReporDealerLeftPrepaymentOut: 3040307,
        //[Description("我的预付款汇总表")]
        ActionReporMyLeftPrepaymentSum: 3040308,
        //[Description("我的预付款入账明细表")]
        ActionReporMyPrepaymentIn: 3040309,
        //[Description("我的预付款出账明细表")]
        ActionReporMyPrepaymentOut: 3040310,
        //[Description("结算卡收入汇总表")]
        ActionReporDebitCardInSum: 3040311,
        //[Description("结算卡收入明细表")]
        ActionReporDebitCardIn: 3040312,
        //[Description("结算卡支出汇总表")]
        ActionReporDebitCardOutSum: 3040313,
        //[Description("结算卡支出明细表")]
        ActionReporDebitCardOut: 3040314,
        //[Description("订单支出汇总表")]
        ActionReporOrderOutSum: 3040315,
        //[Description("订单支出明细表")]
        ActionReporOrderOut: 3040316,
        //[Description("订单收入汇总表")]
        ActionReporOrderInSum: 3040317,
        //[Description("订单收入明细表")]
        ActionReporOrderIn: 3040318,
        //[Description("缴费报表收入汇总")]
        ActionReporFeeInSum: 3040319,
        //[Description("缴费报表收入明细")]
        ActionReporFeeIn: 3040320,
        //[Description("收款流水明细表")]
        ActionReporPaymentTransactionList: 3040321,
        //[Description("付款流水明细表")]
        ActionReporOutPaymentTransactionList: 3040322,
        //[Description("转账电话交易流水明细表")]
        ActionReporZFTTransactionList: 3040323,
        //[Description("缴费统计报表(按部门)")]
        ActionReporFeeByDepartment: 3040324,
        //[Description("缴费统计报表(按批次)")]
        ActionReporFeeByBatch: 3040325,
        //[Description("缴费统计明细报表")]
        ActionReporFeeDetail: 3040326,
        //[Description("结算卡交易信息查询")]
        ActionDebitRealTimeSearchReport: 3040327,
        //[Description("优惠金额报表")]
        ActionReportPromotionPriceReport: 3040328,
        //[Description("缴费统计报表(按缴费项目)")]
        ActionReportFeeByProject: 3040329,
        //[Description("商品销售明细")]
        ActionProductSaleDetail: 3040330
    },

    //财务管理(会计科目管理，缴费账单管理)
    CompanyAccountingSubjectBase: {
        //[Description("会计科目管理")]
        ActionAccountingSubjectManager: 3040401,
        //[Description("新增会计科目")]
        ActionAccountingSubjectAdd: 3040402,
        //[Description("编辑会计科目")]
        ActionAccountingSubjectEdit: 3040403,
        //[Description("删除会计科目")]
        ActionAccountingSubjectDelete: 3040404
    },
    CompanyPaymentBillBase: {
        //[Description("缴费账单管理")]
        ActionPaymentBillManager: 3040501,
        //[Description("导入缴费账单")]
        ActionPaymentBillImport: 3040502,
        //[Description("删除缴费账单")]
        ActionPaymentBillDelete: 3040503,
        //[Description("缴费项目管理")]
        ActionPayItemManager: 3040504,
        //[Description("新增缴费项目")]
        ActionPayItemAdd: 3040505,
        //[Description("发布缴费项目")]
        ActionPayItemPublish: 3040506,
        //[Description("设置缴费项目失效")]
        ActionPayItemValid: 3040507
    },

    //分账模板
    CompanySplitTemplateBase: {
        //[Description("分账模版管理")]
        ActionSplitTemplateManager: 3040601,
        //[Description("绑定分账模版")]
        ActionSplitTemplateBindManager: 3040602,
        //[Description("解绑分账模版")]
        ActionSplitTemplateUnBindManager: 3040603
    },

    //收款账号
    CompanyDealerAccountBase: {
        //[Description("收款账号管理")]
        ActionDealerAccountManager: 3040701,
        //[Description("绑定收款账号")]
        ActionDealerAccountBindManager: 3040702,
        //[Description("解绑收款账号")]
        ActionDealerAccountUnBindManager: 3040703
    },

    //预付款充值
    CompanyPrepaidRechargeBase: {
        //[Description("预付款充值")]
        ActionPrepaidRechargeManager: 3040801,
        //[Description("新增预付款充值")]
        ActionPrepaidRechargeAdd: 3040802,
        //[Description("编辑预付款充值")]
        ActionPrepaidRechargeEdit: 3040803,
        //[Description("删除预付款充值")]
        ActionPrepaidRechargeDel: 3040804
    },

    //系统参数
    CompanySystemBase: {
        //[Description("系统参数设置")]
        ActionSystemParamSet: 3050001,
        //[Description("申请成为卖家")]
        ActionApply2Seller: 3050002
    },
    CompanyEquipmentBase: {
        //[Description("设备号管理")]
        ActionManagerEquipment: 3050101,
        //[Description("设备号新增")]
        ActionAddEquipment: 3050102,
        //[Description("设备号编辑")]
        ActionEditEquipment: 3050103,
        //[Description("设备号删除")]
        ActionDelEquipment: 3050104
    },
    ZhuanzhangdianhuaBase: {
        //[Description("转账电话管理")]
        ActionManagerZhuanzhangdianhua: 3050201,
        //[Description("绑定新设备")]
        ActionBindZhuanzhangdianhua: 3050202
    },
    MarketingActivity: {
        //[Description("营销策略管理")]
        ActionMarketingActivity: 3051001,
        //[Description("营销策略新增")]
        ActionAddMarketingActivity: 3051002,
        //[Description("营销策略编辑")]
        ActionEditMarketingActivity: 3051003,
        //[Description("营销策略删除")]
        ActionDelMarketingActivity: 3051004,
        //[Description("客户分类管理(营销)")]
        ActionMarketingDealerClass: 3051005,
        //[Description("新增客户分类管理(营销)")]
        ActionAddMarketingDealerClass: 3051006,
        //[Description("删除客户分类管理(营销)")]
        ActionDelMarketingDealerClass: 3051007,
        //[Description("策略价格查询")]
        ActionMarketingPrice: 3051008
    },

    //采购、销售订单
    CompanyPurchaseOrderBase: {
        //[Description("采购订单管理")]
        ActionPurchaseOrderManager: 3060101,
        //[Description("新增采购订单")] //控制保存
        ActionPurchaseOrderAdd: 3060102,
        //[Description("编辑采购订单")]
        ActionPurchaseOrderEdit: 3060103,
        //[Description("提交采购订单")]
        ActionPurchaseOrderSubmit: 3060104,
        //[Description("审核采购订单")] //控制审核通过、审核拒绝
        ActionPurchaseOrderAudit: 3060105,
        //[Description("作废审核采购订单")] //控制作废审核通过、作废审核拒绝
        ActionPurchaseOrderInvalidAudit: 3060106,
        //[Description("作废采购订单")] //控制作废
        ActionPurchaseOrderInvalid: 3060107,
        //[Description("支付采购订单")]
        ActionPurchaseOrderPay: 3060108,
        //[Description("采购订单收货")]
        ActionPurchaseOrderReceive: 3060109
    },
    CompanySalesOrderBase: {
        //[Description("销售订单管理")]
        ActionSalesOrderManager: 3060401,
        //[Description("新增销售订单")] //控制保存
        ActionSalesOrderAdd: 3060402,
        //[Description("编辑销售订单")]
        ActionSalesOrderEdit: 3060403,
        //[Description("提交销售订单")]
        ActionSalesOrderSubmit: 3060404,
        //[Description("审核销售订单")] //控制审核通过、审核拒绝
        ActionSalesOrderAudit: 3060405,
        //[Description("作废审核销售订单")] //控制作废审核通过、作废审核拒绝
        ActionSalesOrderInvalidAudit: 3060406,
        //Description("作废销售订单")] //控制作废
        ActionSalesOrderInvalid: 3060407,
        //[Description("支付销售订单")]
        ActionSalesOrderPay: 3060408,
        //[Description("销售订单发货")]
        ActionSalesOrderDeliver: 3060409,
        //Description("设置默认仓库")]
        ActionSetDefaultInventory: 3060410,
        //[Description("订单导入")]
        ActionOrderImport: 3060411,
        //[Description("订单导入模板下载")]
        ActionOrderImportDownLoad: 3060412
    },

    //库存管理
    CompanyInventoryBase: {
        //[Description("仓库管理")]
        ActionWarehouseManager: 3070001,
        //[Description("仓库新增")]
        ActionWarehouseAdd: 3070002,
        //[Description("仓库编辑")]
        ActionWarehouseEdit: 3070003,
        //[Description("仓库删除")]
        ActionWarehouseDelete: 3070004
    },
    CompanyInventoryBillPurchaseInBase: {
        //[Description("采购入库单管理")]
        ActionPurchaseInManager: 3070101,
        //[Description("采购入库单新增")]
        ActionPurchaseInAdd: 3070102,
        //[Description("采购入库单编辑")]
        ActionPurchaseInEdit: 3070103,
        //[Description("采购入库单审核")]
        ActionPurchaseInAudit: 3070104,
        //[Description("采购入库单删除")]
        ActionPurchaseInDelete: 3070105
    },
    CompanyInventoryBillOtherInBase: {
        //[Description("其他入库单管理")]
        ActionOtherInManager: 3070201,
        //[Description("其他入库单新增")]
        ActionOtherInAdd: 3070202,
        //[Description("其他入库单编辑")]
        ActionOtherInEdit: 3070203,
        //[Description("其他入库单审核")]
        ActionOtherInAudit: 3070204,
        //[Description("其他入库单删除")]
        ActionOtherInDelete: 3070205
    },
    CompanyInventoryBillSalesOutBase: {
        //[Description("销售出库单管理")]
        ActionSalesOutManager: 3070301,
        //[Description("销售出库单新增")]
        ActionSalesOutAdd: 3070302,
        //[Description("销售出库单编辑")]
        ActionSalesOutEdit: 3070303,
        //[Description("销售出库单审核")]
        ActionSalesOutAudit: 3070304,
        //[Description("销售出库单删除")]
        ActionSalesOutDelete: 3070305
    },
    CompanyInventoryBillOtherOutBase: {
        //[Description("其他出库单管理")]
        ActionOtherOutManager: 3070401,
        //[Description("其他出库单新增")]
        ActionOtherOutAdd: 3070402,
        //[Description("其他出库单编辑")]
        ActionOtherOutEdit: 3070403,
        //[Description("其他出库单审核")]
        ActionOtherOutAudit: 3070404,
        //[Description("其他出库单删除")]
        ActionOtherOutDelete: 3070405
    },
    CompanyInventoryBillPurchaseReturnOutBase: {
        //[Description("采购退出库单管理")]
        ActionOtherOutManager: 3070501,
        //[Description("采购退出库单新增")]
        ActionPurchaseReturnOutAdd: 3070502,
        //[Description("采购退出库单编辑")]
        ActionPurchaseReturnOutEdit: 3070503,
        //[Description("采购退出库单审核")]
        ActionPurchaseReturnOutAudit: 3070504,
        //[Description("采购退出库单删除")]
        ActionPurchaseReturnOutDelete: 3070505
    },
    CompanyInventoryBillSalesReturnInBase: {
        //[Description("销售退入库单管理")]
        ActionSalesReturnInManager: 3070601,
        //[Description("销售退入库单新增")]
        ActionSalesReturnInAdd: 3070602,
        //[Description("销售退入库单编辑")]
        ActionSalesReturnInEdit: 3070603,
        //[Description("销售退入库单审核")]
        ActionSalesReturnInAudit: 3070604,
        //[Description("销售退入库单删除")]
        ActionSalesReturnInDelete: 3070605
    },
    CompanyInventoryDispatchBase: {
        //[Description("库存调拨单管理")]
        ActionInventoryDispatchManager: 3070801,
        //[Description("库存调拨单新增")]
        ActionInventoryDispatchAdd: 3070802,
        //[Description("库存调拨单编辑")]
        ActionInventoryDispatchEdit: 3070803,
        //[Description("库存调拨单审核")]
        ActionInventoryDispatchAudit: 3070804,
        //[Description("库存调拨单删除")]
        ActionInventoryDispatchDelete: 3070805
    },
    CompanyCheckInventoryBase: {
        //[Description("盘点单管理")]
        ActionCheckInventoryManager: 3070901,
        //[Description("盘点单新增")]
        ActionCheckInventoryAdd: 3070902,
        //[Description("盘点单编辑")]
        ActionCheckInventoryEdit: 3070903,
        //[Description("盘点单审核")]
        ActionCheckInventoryAudit: 3070904,
        //[Description("盘点单删除")]
        ActionCheckInventoryDelete: 3070905
    },
    CompanyProfitlLossReportBase: {
        //[Description("损益表")]
        ActionProfitlLossReport: 3071001
    },
    CompanyInventoryReportBase: {
        //[Description("实时库存查询")]
        ActionInventoryQuery: 3078001
    },

    //商品
    ProductBase: {
        //[Description("商品属性管理")]
        ActionProductAttributeManager: 4000001,
        //[Description("商品属性新增")]
        ActionProductAttributeAdd: 4000002,
        //[Description("商品属性编辑")]
        ActionCheckInventoryEdit: 4000003,
        //[Description("商品属性删除")]
        ActionProductAttributeDelete: 4000004
    },
    ProductUomBase: {
        //[Description("商品单位管理")]
        ActionProductUomManager: 4000101,
        //[Description("新增商品单位")]
        ActionProductUomAdd: 4000102,
        //[Description("编辑商品单位")]
        ActionProductUomEdit: 4000103,
        //[Description("删除商品单位")]
        ActionProductUomDelete: 4000104
    },
    Product: {
        //[Description("商品管理")]
        ProductManager: 4000201,
        //[Description("新增商品")]
        ProductAdd: 4000202,
        //[Description("编辑商品")]
        ProductEdit: 4000203,
        //[Description("删除商品")]
        ProductDelete: 4000204,
        //[Description("商品详情")]
        ProductDetail: 4000205,
        //[Description("商品导入")]
        ProductImport: 4000206,
        //[Description("商品上架")]
        ProductProductOnShelves: 4000207,
        //[Description("商品下架")]
        ProductOffShelves: 4000208
    },
    ProductCompanyClassBase: {
        //[Description("店铺商品分类管理")]
        ProductCompanyClassManager: 4000301,
        //[Description("新增店铺商品分类")]
        ProductCompanyClassAdd: 4000302,
        //[Description("编辑店铺商品分类")]
        ProductCompanyClassEdit: 4000303,
        //[Description("删除店铺商品分类")]
        ProductCompanyClassDel: 4000304
    },

    //商城管理
    MallBase: {
        //[Description("我的商城")]
        MallManager: 4000401,
        //[Description("发布商品")]
        MallProductPublic: 4000402,
        //[Description("店铺装修")]
        MallProductDecorate: 4000403
    },

    //店铺管理
    MyStoreBase: {
        //[Description("B2B店铺查看")]
        MyStoreManager: 4010101,
        //[Description("B2B店铺装修")]
        MyStoreDecorate: 4010102,
        //[Description("B2C店铺查看")]
        MyB2CStoreManager: 4010103,
        //[Description("B2C店铺装修")]
        MyB2CStoreDecorate: 4010104,
        //[Description("惠农店铺查看")]
        MyBFStoreManager: 4010105,
        //[Description("惠农店铺装修")]
        MyBFStoreDecorate: 4010106
    },

    StoreClassBase: {
        //[Description("B2B店铺分类查看")]
        StoreClassManager: 4010201,
        //[Description("B2B店铺分类新增")]
        StoreClassAdd: 4010202,
        //[Description("B2B店铺分类编辑")]
        StoreClassEdit: 4010203,
        //[Description("B2B店铺分类删除")]
        StoreClassDelete: 4010204,
        //[Description("B2C店铺分类查看")]
        B2CStoreClassManager: 4010205,
        //[Description("B2C店铺分类新增")]
        B2CStoreClassAdd: 4010206,
        //[Description("B2C店铺分类编辑")]
        B2CStoreClassEdit: 4010207,
        //[Description("B2C店铺分类删除")]
        B2CStoreClassDelete: 4010208,
        //[Description("惠农店铺分类查看")]
        BFStoreClassManager: 4010209,
        //[Description("惠农店铺分类新增")]
        BFStoreClassAdd: 4010210,
        //[Description("惠农店铺分类编辑")]
        BFStoreClassEdit: 4010211,
        //[Description("惠农店铺分类删除")]
        BFStoreClassDelete: 4010212
    },

    StoreProductBase: {
        //[Description("B2B店铺商品查看")]
        StoreProductManager: 4010301,
        //[Description("B2B店铺商品编辑")]
        StoreProductEdit: 4010302,
        //[Description("B2B店铺商品上架")]
        StoreProductOnShelves: 4010303,
        //[Description("B2B店铺商品下架")]
        StoreProductOffShelves: 4010304,
        //[Description("B2C店铺商品查看")]
        B2CStoreProductManager: 4010305,
        //[Description("B2C店铺商品编辑")]
        B2CStoreProductEdit: 4010306,
        //[Description("B2C店铺商品上架")]
        B2CStoreProductOnShelves: 4010307,
        //[Description("B2C店铺商品下架")]
        B2CStoreProductOffShelves: 4010308,
        //[Description("惠农店铺商品查看")]
        BFStoreProductManager: 4010309,
        //[Description("惠农店铺商品编辑")]
        BFStoreProductEdit: 4010310,
        //[Description("惠农店铺商品上架")]
        BFStoreProductOnShelves: 4010311,
        //[Description("惠农店铺商品下架")]
        BFStoreProductOffShelves: 4010312
    },

    //客户服务
    CompanySeriveBase: {
        //[Description("入驻申请")]
        StoreProductManager: 4020401,
        //[Description("关闭店铺")]
        StoreProductEdit: 4020402
    },

    //缴费商城
    PayCenterDepartmentBase: {
        //[Description("组织架构新增")]
        PayCenterDepartmentAdd: 5000101,
        //[Description("组织架构编辑")]
        PayCenterDepartmenEdit: 5000102,
        //[Description("组织架构删除")]
        PayCenterDepartmenDelete: 5000103
    }
});

