(function (angular) {
    'use strict';
    angular.module('menuModule', [])
        .factory("MenuData", ['$state', 'localStorageService', 'pageCacheData', 'DealerSuppleirData', 'productCarServer', 'orderConfigInfo', 'currentSalesmanService', 'SuppleirInfo', 'LocalData', 'ybHttp', 'SkuActiveState', 'GiftActiveState', 'orderProductListServer', function ($state, localStorageService, pageCacheData, DealerSuppleirData, productCarServer,
                                       orderConfigInfo, currentSalesmanService, SuppleirInfo,LocalData,ybHttp,SkuActiveState,GiftActiveState,orderProductListServer) {
            var defaultHomeKeys = ["SalesBilling", "SalesReturn", "PurchaseOrder", "PurchaseInOrder", "DispatchOrder", "StockTask", "BillCenter", "InventoryStatus"];
            var allMenuObj = {
                HomeTab: [],
                BillingTab: [
                    {
                        Title: "", //单据中心
                        Children: [
                            {
                                KeyName: 'BillCenter',
                                MenuName: '单据中心',
                                Description: '查询各类单据',
                                State: 'public.common.billsManage',
                                Rights: [],
                                BeforeEnterFn: function () {
                                    $state.go('public.common.billsManage', {timeStamp: new Date().getTime()});
                                },
                                IconClass: "icon-nav-document-center",
                                StyleColor: {
                                    color: "rgb(95,152,242)"
                                }
                            }
                        ]
                    }, {
                        Title: "销售单据",
                        Children: [
                            {
                                KeyName: 'SalesBilling',
                                MenuName: '快捷开单',
                                Description: '快速创建销售订单',
                                State: '',//状态名称不定，需要根据是否开启扫码变更，需要在调用处使用BeforeEnterFn回调
                                Rights: [window.ActionCode.SalesOrderEdit],
                                BeforeEnterFn: function () {
                                    var basicSettingObj = localStorageService.get('basicSetting');
                                    cleanServiceData();
                                    if(SkuActiveState.isActive){
                                        $state.go('public.distribution.skuSaleOrder');
                                        return;
                                    }
                                    if (basicSettingObj && basicSettingObj.orderModal === 'byScan') {
                                        $state.go('public.distribution.saleAddByScan', {});
                                    } else {
                                        $state.go('public.distribution.selectDistributorForRetail', {});
                                    }
                                },
                                IconClass: "icon-nav-place-an-order",
                                StyleColor: {
                                    color: "rgb(255,115,96)"
                                }
                            }, {
                                KeyName: 'SalesReturn',
                                MenuName: '销售退货',
                                Description: '快速创建销售退货订单',
                                State: '',
                                Rights: [window.ActionCode.SalesOrderEdit],
                                BeforeEnterFn: function () {
                                    var basicSettingObj = localStorageService.get('basicSetting');
                                    cleanServiceData();
                                    if(SkuActiveState.isActive){
                                        $state.go('public.distribution.returnAddByScan', {});
                                        return;
                                    }
                                    if (basicSettingObj && basicSettingObj.orderModal === 'byScan') {
                                        $state.go('public.distribution.returnAddByScan', {});
                                    } else {
                                        $state.go('public.distribution.selectDistributorForReturn', {});
                                    }
                                },
                                IconClass: "icon-nav-return-goods",
                                StyleColor: {
                                    color: "rgb(126,123,226)"
                                }
                            }/*,{
                                KeyName: 'retailOrder',
                                MenuName: '零售开单',
                                Description: '快速创建零售订单',
                                State: 'public.distribution.retailOrder',
                                Rights: [window.ActionCode.SalesOrderEdit],
                                BeforeEnterFn: function () {
                                    cleanServiceData();
                                    $state.go('public.distribution.retailOrder', {});
                                },
                                IconClass: "icon-nav-place-an-order",
                                StyleColor: {
                                    color: "rgb(255,115,96)"
                                }
                            }*/
                        ]
                    }, {
                        Title: "进货单据",
                        Children: [
                            {
                                KeyName: 'PurchaseOrder',
                                MenuName: '进货订单',
                                Description: '发起进货订单',
                                State: 'public.distribution.addPurchaseOrder',
                                Rights: [window.ActionCode.PurchaseOrderEdit],
                                BeforeEnterFn: function () {
                                    cleanServiceData();
                                    $state.go("public.distribution.addPurchaseOrder");
                                },
                                IconClass: "icon-nav-purchase-order",
                                StyleColor: {
                                    color: "rgb(126,123,226)"
                                }
                            }, {
                                KeyName: 'PurchaseInOrder',
                                MenuName: '进货入库单',
                                Description: '直接创建进货入库单',
                                State: 'public.distribution.purchase',
                                Rights: [window.ActionCode.PurchaseInEdit],
                                BeforeEnterFn: function () {
                                    cleanServiceData();
                                    $state.go('public.distribution.purchase');
                                },
                                IconClass: "icon-nav-enter-the-warehouse",
                                StyleColor: {
                                    color: "rgb(247,139,64)"
                                }
                            }, {
                                KeyName: 'PurchaseReturnOrder',
                                MenuName: '进货退出库单',
                                Description: '创建进货退货单并出库',
                                State: 'public.distribution.returnedPurchase',
                                Rights: [window.ActionCode.PurchaseReturnOutEdit],
                                BeforeEnterFn: function () {
                                    cleanServiceData();
                                    $state.go('public.distribution.returnedPurchase');
                                },
                                IconClass: "icon-nav-withdraw-from-the-warehouse",
                                StyleColor: {
                                    color: "rgb(3,187,208)"
                                }
                            }
                        ]
                    }, {
                        Title: "库存单据",
                        Children: [
                            {
                                KeyName: 'DispatchOrder',
                                MenuName: '调拨单',
                                Description: '仓库间调货',
                                State: 'public.distribution.newDispatch',
                                Rights: [window.ActionCode.InventoryDispatchEdit],
                                BeforeEnterFn: function () {
                                    cleanServiceData();
                                    $state.go("public.distribution.newDispatch");
                                },
                                IconClass: "icon-nav-allocation-list",
                                StyleColor: {
                                    color: "rgb(95,152,242)"
                                }
                            }, {
                                KeyName: 'StockTask',
                                MenuName: '盘点任务',
                                Description: '商品实际库存盘点',
                                State: 'public.distribution.addStockTask',
                                Rights: [window.ActionCode.CheckTaskInventoryEdit],
                                BeforeEnterFn: function () {
                                    cleanServiceData();
                                    $state.go("public.distribution.addStockTask");
                                },
                                IconClass: "icon-nav-inventory-task",
                                StyleColor: {
                                    color: "rgb(247,139,64)"
                                }
                            }
                        ]
                    }
                ],
                ReportTab: [{
                    Title: "销售报表",
                    Children: [{
                        KeyName: 'SaleReport',
                        MenuName: '销售报表',
                        Description: '日月季年销售额/利润统计',
                        State: 'public.distribution.saleReport',
                        Rights: [window.ActionCode.SalesDetail,window.ActionCode.ProductCostInfo],
                        BeforeEnterFn: function () {
                            $state.go('public.distribution.saleReport', {});
                        },
                        IconClass: "icon-nav-sales-report",
                        StyleColor: {
                            color: "#5F98F2"
                        }

                    }, {
                        KeyName: 'SaleRank',
                        MenuName: '销售排行',
                        Description: '多维度销售排行统计',
                        State: 'public.common.saleRank',
                        Rights: [window.ActionCode.SalesDetail],
                        BeforeEnterFn: function () {
                            $state.go('public.common.saleRank', {});
                        },
                        IconClass: "icon-nav-sales-rankings",
                        StyleColor: {
                            color: "#F78B40"
                        }
                    }]
                }, {
                    Title: "进货报表",
                    Children: [{
                        KeyName: 'WeMallReservation',
                        MenuName: '微店预订统计',
                        Description: '微店下单的商品数量统计',
                        State: 'public.distribution.Reservation',
                        Rights: [window.ActionCode.MicroMallReservationManager],
                        BeforeEnterFn: function () {
                            $state.go('public.distribution.Reservation', {});
                        },
                        IconClass: "icon-nav-purchase-order",
                        StyleColor: {
                            color: "#5F98F2"
                        }

                    }]
                }, {
                    Title: "库存报表",
                    Children: [{
                        KeyName: 'InventoryStatus',
                        MenuName: '库存状况',
                        Description: '库存数量/金额查询',
                        State: 'public.common.stockList',
                        Rights: [window.ActionCode.InventoryQuery],
                        BeforeEnterFn: function () {
                            ybHttp.get('WarehouseProduct/GetWarehouseProductInfo').then(function (data) {
                                if(data.Value.length === 2) {
                                    var pro = data.Value[0];
                                    localStorageService.remove('stockWareHouse');
                                    var param = {
                                        warehouseId: pro.WarehouseId || 'ALL',
                                        warehouseName:pro.WarehouseName,
                                        isOnlyOneWarehouse: true
                                    };
                                    localStorageService.set('stockWareHouse',param);
                                    $state.go('public.common.stockSelectWarehouseList',{timeStamp:new Date().getTime() });
                                }else {
                                    $state.go('public.common.stockList');
                                }
                            });
                        },
                        IconClass: "icon-nav-inventory-query-1",
                        StyleColor: {
                            color: "#03BBD0"
                        }
                    }, {
                        KeyName: 'InventoryWarning',
                        MenuName: '库存预警',
                        Description: '商品滞销/缺货查询',
                        State: 'public.distribution.stockWarning',
                        Rights: [window.ActionCode.InventoryWarningManager],
                        BeforeEnterFn: function () {
                            $state.go('public.distribution.stockWarning', {});
                        },
                        IconClass: "icon-nav-early-warning",
                        StyleColor: {
                            color: "rgb(255,115,96)"
                        }
                    }]
                }, {
                    Title: "财务管理",
                    Children: [{
                        KeyName: 'ARAP',
                        MenuName: '应收应付',
                        Description: '供应商/客户欠款统计',
                        State: 'public.common.arApList',
                        Rights: [window.ActionCode.FinanceAllDealerDebtPay],
                        BeforeEnterFn: function () {
                            $state.go('public.common.arApList',{timeStamp: new Date().getTime()});
                        },
                        IconClass: "icon-nav-payment-of-payment",
                        StyleColor: {
                            color: "#7E7BE2"
                        }
                    },{
                        KeyName: 'AddReceipt',
                        MenuName: '收款单',
                        Description: '创建收款单',
                        State: 'public.distribution.addReceipt',
                        Rights: [window.ActionCode.FinanceAddReceiptBill],
                        BeforeEnterFn: function () {
                            $state.go("public.distribution.addReceipt");
                        },
                        IconClass: "iconfont iconfinance",
                        StyleColor: {
                            color: "rgb(140,187,25)"
                        }
                    },{
                        KeyName: 'AddPayBill',
                        MenuName: '付款单',
                        Description: '创建付款单',
                        State: 'public.distribution.addPayBill',
                        Rights: [window.ActionCode.FinanceAddPayBill],
                        BeforeEnterFn: function () {
                            $state.go("public.distribution.addPayBill");
                        },
                        IconClass: "iconfont iconpayBill",
                        StyleColor: {
                            color: "rgb(225,101,49)"
                        }
                    },{
                        KeyName: 'FinanceBillManage',
                        MenuName: '财务单据',
                        Description: '查看财务单据',
                        State: 'public.distribution.financeBillManage',
                        Rights: [window.ActionCode.FinanceAddReceiptBill,window.ActionCode.FinanceAddPayBill],
                        BeforeEnterFn: function () {
                            $state.go("public.distribution.financeBillManage",{ timeStamp: new Date().getTime() });
                        },
                        IconClass: "iconfont iconreceiptBill",
                        StyleColor: {
                            color: "rgb(74,144,226)"
                        }
                    }]
                }],
                DataTab: [{
                    Title: "商品",
                    Children: [{
                        KeyName: 'ProductList',
                        MenuName: '商品查询',
                        Description: '查询商品信息/价格',
                        State: 'public.distribution.productList',
                        Rights: [window.ActionCode.ProductManager],
                        BeforeEnterFn: function () {
                            pageCacheData.cleanData();
                            $state.go('public.distribution.productList', {timeStamp: new Date().getTime()});
                        },
                        IconClass: "icon-nac-ommodity-inquiry",
                        StyleColor: {
                            color: "#7E7BE2"
                        }
                    }, {
                        KeyName: 'AddProduct',
                        MenuName: '新增商品',
                        Description: '',
                        State: 'public.distribution.goodsAddList',
                        Rights: [window.ActionCode.ProductEdit],
                        BeforeEnterFn: function () {
                            $state.go('public.distribution.goodsAddList');
                        },
                        IconClass: "icon-nav-new-goods",
                        StyleColor: {
                            color: "#42BD56"
                        }
                    }]
                }, {
                    Title: "客户",
                    Children: [{
                        KeyName: 'CustomerList',
                        MenuName: '客户查询',
                        Description: '查询客户信息',
                        State: 'public.distribution.customer',
                        Rights: [window.ActionCode.DealerList, window.ActionCode.DealerClassList],
                        BeforeEnterFn: function () {
                            $state.go('public.distribution.customer');
                        },
                        IconClass: "icon-nav-customer-query",
                        StyleColor: {
                            color: "#F78B40"
                        }
                    }, {
                        KeyName: 'AddCustomer',
                        MenuName: '新增客户',
                        Description: '',
                        State: 'public.distribution.addDistributor',
                        Rights: [window.ActionCode.DealerEdit],
                        BeforeEnterFn: function () {
                            $state.go('public.distribution.addDistributor');
                        },
                        IconClass: "icon-nav-new-customers",
                        StyleColor: {
                            color: "#5F98F2"
                        }
                    }]
                }, {
                    Title: "供应商",
                    Children: [{
                        KeyName: 'SupplierList',
                        MenuName: '供应商查询',
                        Description: '查询供应商信息',
                        State: 'public.distribution.querySupplier',
                        Rights: [window.ActionCode.SupplyList],
                        BeforeEnterFn: function () {
                            $state.go("public.distribution.querySupplier");
                        },
                        IconClass: "icon-nav-vendor-query",
                        StyleColor: {
                            color: "#5F98F2"
                        }
                    }, {
                        KeyName: 'AddSupplier',
                        MenuName: '新增供应商',
                        Description: '',
                        State: 'public.distribution.addquerySupplier',
                        Rights: [window.ActionCode.SupplyEdit],
                        BeforeEnterFn: function () {
                            $state.go("public.distribution.addquerySupplier");
                        },
                        IconClass: "icon-nav-new-supplier",
                        StyleColor: {
                            color: "#7E7BE2"
                        }
                    }]
                }, {
                    Title: "微商城",
                    Children: [{
                        KeyName: 'WeMallProductList',
                        MenuName: '微商城商品',
                        Description: '微商城商品编辑/上下架',
                        State: 'public.distribution.weMallProductList',
                        Rights: [window.ActionCode.MicroMallProductManager],
                        BeforeEnterFn: function () {
                            $state.go('public.distribution.weMallProductList');
                        },
                        IconClass: "icon-nav-commodity-shelves",
                        StyleColor: {
                            color: "#F78B40"
                        }
                    }]
                }]
            };

            function cleanServiceData() {
                GiftActiveState.isActive = false;
                orderProductListServer.cleanData();
                DealerSuppleirData.resetDealerInfo();
                productCarServer.cleanData();
                orderConfigInfo.resetInfo();
                currentSalesmanService.resetCurrentSalesman();
                SuppleirInfo.reset();
            }

            function setHomeMenu(homeKeys) {
                angular.forEach(allMenuObj, function (tab, tabName) {
                    if (tabName === "HomeTab") {
                        return;
                    }
                    angular.forEach(tab, function (classObj, className) {
                        angular.forEach(classObj.Children, function (menu) {
                            var index = homeKeys.indexOf(menu.KeyName);
                            if (index !== -1) {
                                allMenuObj.HomeTab.splice(index, 0, menu);
                            }
                        });
                    });
                });
            }

            function setUserDefinedMenuFn() {
                allMenuObj.HomeTab.length = 0;
                var userInfo = LocalData.getCurrentUserInfo();
                var menuConfigKeyList = userInfo.AppHomeMenuConfig ? userInfo.AppHomeMenuConfig.split(",") : [];
                if(menuConfigKeyList.length > 0){
                    setHomeMenu(menuConfigKeyList);
                    return;
                }
                setHomeMenu(defaultHomeKeys);

            }

            return {
                Value : allMenuObj,
                setUserDefinedMenu: setUserDefinedMenuFn
            };
        }]);
})(window.angular);