
(function (window, angular) {
    'use strict';
    window.PrintData = {
        SaleOrder:{},
        SaleReturn:{},
        MallOrder:{},
        OtherIn:{},
        SalesOut:{},
        PurchaseInventoryIn:{},
        SalesReturnIn:{},
        OtherOut:{},
        InventoryDispatch:{},
        CheckInventory:{},
        PurchaseOrder:{},
        PurchaseInventoryReturnOut:{}
    };
    window.PrintData.SaleOrder ={
        Name:"销售单",
        Type:"SaleOrder",
        Interface:"Order/Print",
        TemplateUrl:"view/print/tableNew.html",
        printTempBdDiction:{
            SeqNo:{
                Id:"proIndex",
                Key:"SeqNo",
                Name:"序号",
                Alias:"",
                IsChecked:false,
                Value:"pro.SeqNo",
                widthRate:1,
                testValue:1
            },
            ProductName: {
                Id:"proName",
                Key:"ProductName",
                Name:"商品名称",
                Alias:"",
                IsChecked:false,
                Value:"pro.SupplierProductName",
                widthRate:4,
                testValue:'中意清凉薄荷糖'
            },
            Barcode: {
                Id:'proBarcode',
                Key:"Barcode",
                Name:"条码",
                Alias:"",
                IsChecked:false,
                Value:"pro.Barcode",
                widthRate:2.5,
                testValue:'2004854105728'
            },
            Attribute:{
                Id:"proAttribute",
                Key:"Attribute",
                Name:"属性",
                Alias:"",
                IsChecked:false,
                Value: "pro.ProductSubName",
                widthRate:2
            },
            Specification:{
                Id:'proSpecification',
                Key:"Specification",
                Name:"规格",
                Alias:"",
                IsChecked:false,
                Value:"pro.Specification",
                widthRate:2,
                testValue:'1*15'
            },
            UserCode:{
                Id:"proSelfBarcode",
                Key:"UserCode",
                Name:"编码",
                Alias:"",
                IsChecked:false,
                Value:"pro.UserCode",
                widthRate:1,
                testValue:'43020'
            },
            ManuFacturer:{
                Id:"proManuFacturer",
                Key:"ManuFacturer",
                Name:"生产厂家",
                Alias:"",
                IsChecked:false,
                Value:"pro.Manufacturer",
                widthRate:2,
                testValue:'中意食品'
            },
            ExFactoryDate:{
                Id:"proExFactoryDate",
                Key:"ExFactoryDate",
                Name:"生产日期",
                Alias:"",
                IsChecked:false,
                Value:"pro.ExFactoryDate",
                widthRate:2,
                testValue:'20180101'
            },
            DurabilityPeriod:{
                Id:"proDurabilityPeriod",
                Key:"DurabilityPeriod",
                Name:"保质期(天)",
                Alias:"",
                IsChecked:false,
                Value:"pro.ShelfLife",
                widthRate:2,
                testValue:'180'
            },
            Uom:{
                Id:"proUomName",
                Key:"Uom",
                Name:"单位",
                Alias:"",
                IsChecked:false,
                Value:"pro.Uom",
                widthRate:1,
                testValue:'kg'
            },
            SmallUomName: {
                Id: "proSmallUomName",
                Key: "SmallUomName",
                Name: "小单位名称",
                Alias: "",
                IsChecked: false,
                Value: "pro.SmallUomName",
                widthRate: 1,
                testValue: '袋'
            },
            SmallUnitQty: {
                Id: "proSmallUnitQty",
                Key: "SmallUnitQty",
                Name: "小单位数量",
                Alias: "",
                IsChecked: false,
                Value: "pro.SmallUnitQty",
                widthRate: 1,
                testValue: '20'
            },
            SubUomQuantity:{
                Id:"proSubUomQuantity",
                Key:"SubUomQuantity",
                Name:"辅助数量",
                Alias:"",
                IsChecked:false,
                Value:"pro.UomContent",
                widthRate:2,
                testValue:'1kg'
            },
            AllQty: {
                Id:'proUomNum',
                Key:"AllQty",
                Name:"数量",
                Alias:"",
                IsChecked:false,
                Value:"pro.AllQty",
                widthRate:1.5,
                testValue:'1'
            },
            OriginalPrice: {
                Id: "proOriginalPrice",
                Key: "OriginalPrice",
                Name: "单价",
                Alias: "",
                IsChecked: false,
                Value: "pro.OriginalPrice",
                widthRate: 2,
                testValue:'16'
            },
            Price:{
                Id:"proCurrentPrice",
                Key:"Price",
                Name:"单价",
                Alias:"",
                IsChecked:false,
                Value:"pro.Price",
                widthRate:2,
                testValue:'16'
            },
            SmallUnitPrice:{
                Id:"proSmallUnitPrice",
                Key:"SmallUnitPrice",
                Name:"小单位单价",
                Alias:"",
                IsChecked:false,
                Value:"pro.SmallUnitPrice",
                widthRate:2,
                testValue:'20'
            },
            SettlementTotalValue:{
                Id:"proSettlementTotalValue",
                Key:"SettlementTotalValue",
                Name:"金额",
                Alias:"",
                IsChecked:false,
                Value:"pro.SettlementTotalValue",
                widthRate:2,
                testValue:'16'
            },
            Remarks:{
                Id:"proRemark",
                Key:"Remarks",
                Name:"备注",
                Alias:"",
                IsChecked:false,
                Value:"pro.ProductNotes",
                widthRate:1
            },
            SubWarehouseName: {
                Id: "proSubWarehouseName",
                Key: "SubWarehouseName",
                Name: "仓库",
                Alias: "",
                IsChecked: false,
                Value: "pro.SubWareHouseName",
                widthRate: 1
            },
            UomRetailPrice: {
                Id: 'proUomRetailPrice',
                Key: "UomRetailPrice",
                Name: "零售价",
                Alias: "",
                IsChecked: false,
                Value: "pro.UomRetailPrice",
                widthRate: 2
            },
            SmallUomWeight: {
                Id: 'proSmallUomWeight',
                Key: "SmallUomWeight",
                Name: "小单位重量",
                Alias: "",
                IsChecked: false,
                Value: "pro.SmallUomWeight",
                widthRate: 2
            },
            TotalUomWeight: {
                Id: 'proTotalUomWeight',
                Key: "TotalUomWeight",
                Name: "总重量",
                Alias: "",
                IsChecked: false,
                Value: "pro.TotalUomWeight",
                widthRate: 2
            },
            Location: {
                Id: 'proLocation',
                Key: "Location",
                Name: "库位",
                Alias: "",
                IsChecked: false,
                Value: "pro.Location",
                widthRate: 2
            },
            OriginalAmount: {
                Id: "proOriginalAmount",
                Key: "OriginalAmount",
                Name: "金额",
                Alias: "",
                IsChecked: false,
                Value: "pro.OriginalAmount",
                widthRate: 2
            },
            Discount: {
                Id: "proDiscount",
                Key: "Discount",
                Name: "折扣",
                Alias: "",
                IsChecked: false,
                Value: "pro.Discount",
                widthRate: 1
            }
        },
        cacheHeaderFootDiction:{
          PrintCreateTime:{
                Key:"PrintCreateTime",
                Name:"制单时间",
                IsAloneRow:false,
                IsChecked:true,
                IsHeader:true,
              Value:'Item.CreatDate'

            },
            ProductCode:  {
                Key:"ProductCode",
                Name:"单据编号",
                IsAloneRow:false,
                IsChecked:true,
                IsHeader:true,
                Value:'Item.BillId'
            },
            ClientName:  {
                Key:"ClientName",
                Name:"客&ensp;&ensp;&ensp;&ensp;户",
                IsAloneRow:false,
                IsChecked:true,
                IsHeader:true,
                Value:'Item.DealerOrgName'
            },
            ClientCustomCode: {
                Key: "ClientCustomCode",
                Name: "客户编号",
                IsAloneRow: false,
                IsChecked: true,
                IsHeader: true,
                Value: 'Item.UserCode'
            },
            ConnectMan: {
                Key:"ConnectMan",
                Name:"客户联系人",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.ConnectMan'
            },
            Phone:{
                Key:"Phone",
                Name:"客户手机号",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.Phone'
            },
            TelPhone: {
                Key:"TelPhone",
                Name:"客户电话",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.TelPhone'
            },
            CustomerState:{
                Key:"CustomerState",
                Name:"客户地址",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.CustomerAddress'
            },
            OwedAmount:  {
                Key:"OwedAmount",
                Name:"合计欠款",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.OwedAmount'
            },
            SupplierName: {
                Key:"SupplierName",
                Name:"供货者",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.SupplierName'
            },
            SupplierTelPhone: {
                Key:"SupplierTelPhone",
                Name:"供货者电话",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.SupplierTelPhone'
            },
            SupplierAddress: {
                Key:"SupplierAddress",
                Name:"供货者地址",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.SupplierAddress'
            },
            PrintCreator:  {
                Key:"PrintCreator",
                Name:"制&ensp;单&ensp;人",
                IsAloneRow:false,
                IsChecked:true,
                IsHeader:true,
                Value:'Item.CreatUserName'
            },
            PrintDigest: {
                Key:"PrintDigest",
                Name:"摘&ensp;&ensp;&ensp;&ensp;要",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:''
            },
            WarehouseName: {
                Key:"WarehouseName",
                Name:"发货仓库",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.WarehouseName'
            },
            SalesMan: {
                Key:"SalesMan",
                Name:"业&ensp;务&ensp;员",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.SaleMan'
            },
            PrintTime:{
                Key:"PrintTime",
                Name:"打印时间",
                IsAloneRow:false,
                IsChecked:true,
                IsHeader:true,
                Value:'Item.printDate'
            },
            PlateNumber: {
                Key: "PlateNumber",
                Name: "送货地址",
                IsAloneRow: false,
                IsChecked: true,
                IsHeader: true,
                Value: 'Item.PlateNumber'
            },
            AdvancesReceivedAmount:{
                Key:"AdvancesReceivedAmount",
                Name:"预收款余额",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.AdvancesReceivedAmount'
            },
            ShipmentCar:{
                Key:"ShipmentCar",
                Name:"发货车辆",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.ShipmentCar'
            },
            DiscountAmount: {
                Key: "DiscountAmount",
                Name: "优惠金额",
                IsAloneRow: false,
                IsChecked: false,
                IsHeader: false,
                Value: 'Item.SettlementModel.DiscountAmount'
            },
            PrePaymentAmount: {
                Key: "PrePaymentAmount",
                Name: "预收款扣减",
                IsAloneRow: false,
                IsChecked: false,
                IsHeader: false,
                Value: 'Item.SettlementModel.PrePaymentAmount'
            },
            PaymentAmount: {
                Key: "PaymentAmount",
                Name: "付款金额",
                IsAloneRow: false,
                IsChecked: false,
                IsHeader: false,
                Value: 'Item.SettlementModel.PaymentAmount'
            },
            ReceivableAccount: {
                Key: "ReceivableAccount",
                Name: "欠&ensp;&ensp;&ensp;&ensp;款",
                IsAloneRow: false,
                IsChecked: false,
                IsHeader: false,
                Value: 'Item.SettlementModel.ReceivableAccount'
            },
            remark:{
                Key:"remark",
                Name:"备&ensp;&ensp;&ensp;&ensp;注",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:false,
                Value:'Item.Remark'
            },
            PayWay: {
                Key: "PayWay",
                Name: "支付方式",
                IsAloneRow: false,
                IsChecked: false,
                IsHeader: false,
                Value: 'Item.PayWay'
            },
            MultiPaymentWayName: {
              Key: "MultiPaymentWayName",
              Name: "支付方式",
              IsAloneRow: false,
              IsChecked: false,
              IsHeader: false,
              Value: 'Item.MultiPaymentWayName'
            },
            DeliverWay: {
                Key: "DeliverWay",
                Name: "发货方式",
                IsAloneRow: false,
                IsChecked: false,
                IsHeader: false,
                Value: 'Item.DeliverWay'
            },
            ShipRemark: {
                Key: "ShipRemark",
                Name: "物流备注",
                IsAloneRow: false,
                IsChecked: false,
                IsHeader: false,
                Value: 'Item.ShipRemark'
            },
            TotalFreight: {
                Key: "TotalFreight",
                Name: "运&ensp;&ensp;&ensp;&ensp;费",
                IsAloneRow: false,
                IsChecked: false,
                IsHeader: false,
                Value: 'Item.TotalFreight'
            }
        },
        TableHead: [
            {
                Name: "序号",
                DisplayName: "序号",
                Rate: 1,
                IsShow: true,
                Key: "SeqNo",
                TdData: "OrderProduct.SeqNo",
                textStyle: "center"
            },
            {
                Name: "商品条码",
                DisplayName: "商品条码",
                Rate: 2,
                IsShow: true,
                Key: "Barcode",
                TdData: "OrderProduct.Barcode",
                textStyle: "center"
            },
            {
                Name: "商品名称",
                DisplayName: "商品名称",
                Rate: 4,
                IsShow: true,
                Key: "ProductName",
                TdData: "OrderProduct.SupplierProductName",
                textStyle: "left"
            },
            {
                Name: "规格",
                DisplayName: "规格",
                Rate: 2,
                IsShow: true,
                Key: "Specification",
                TdData: "OrderProduct.Specification",
                textStyle: "center"
            },
            {
                Name: "单位",
                DisplayName: "单位",
                Rate: 1,
                IsShow: true,
                Key: "Uom",
                TdData: "OrderProduct.Uom",
                textStyle: "center"
            },
            {
                Name: "数量",
                DisplayName: "数量",
                Rate: 1,
                IsShow: true,
                Key: "AllQty",
                TdData: "OrderProduct.AllQty",
                textStyle: "center"
            },
            {
                Name: "单价",
                DisplayName: "单价",
                Rate: 2,
                IsShow: true,
                Key: "Price",
                TdData: "OrderProduct.Price",
                textStyle: "center"
            },
            {
                Name: "金额",
                DisplayName: "金额",
                Rate: 2,
                IsShow: true,
                Key: "SettlementTotalValue",
                TdData: "OrderProduct.SettlementTotalValue",
                textStyle: "center"
            },
            {
                Name: "编码",
                DisplayName: "编码",
                Rate: 1,
                IsShow: false,
                Key: "UserCode",
                TdData: "OrderProduct.UserCode",
                textStyle: "center"
            },
            {
                Name: "备注",
                DisplayName: "备注",
                Rate: 1,
                IsShow: false,
                Key: "Remarks",
                TdData: "OrderProduct.ProductNotes",
                textStyle: "left"
            }
        ]
    };
    window.PrintData.SaleReturn ={
        Name:"退货单",
        Type:"SaleReturn",
        Interface:"Order/Print",
        TemplateUrl:"view/print/tableNew.html",
        printTempBdDiction:{
            SeqNo:{
                Id:"proIndex",
                Key:"SeqNo",
                Name:"序号",
                Alias:"",
                IsChecked:false,
                Value:"pro.SeqNo",
                widthRate:1,
                testValue:1
            },
            ProductName: {
                Id:"proName",
                Key:"ProductName",
                Name:"商品名称",
                Alias:"",
                IsChecked:false,
                Value:"pro.SupplierProductName",
                widthRate:4,
                testValue:'中意清凉薄荷糖'
            },
            Barcode: {
                Id:'proBarcode',
                Key:"Barcode",
                Name:"条码",
                Alias:"",
                IsChecked:false,
                Value:"pro.Barcode",
                widthRate:2.5,
                testValue:'2004854105728'
            },
            Attribute:{
                Id:"proAttribute",
                Key:"Attribute",
                Name:"属性",
                Alias:"",
                IsChecked:false,
                Value: "pro.ProductSubName",
                widthRate:2
            },
            Specification:{
                Id:'proSpecification',
                Key:"Specification",
                Name:"规格",
                Alias:"",
                IsChecked:false,
                Value:"pro.Specification",
                widthRate:2,
                testValue:'1*15'
            },
            UserCode:{
                Id:"proSelfBarcode",
                Key:"UserCode",
                Name:"编码",
                Alias:"",
                IsChecked:false,
                Value:"pro.UserCode",
                widthRate:1,
                testValue:'43020'
            },
            ManuFacturer:{
                Id:"proManuFacturer",
                Key:"ManuFacturer",
                Name:"生产厂家",
                Alias:"",
                IsChecked:false,
                Value:"pro.Manufacturer",
                widthRate:2,
                testValue:'中意食品'
            },
            ExFactoryDate:{
                Id:"proExFactoryDate",
                Key:"ExFactoryDate",
                Name:"生产日期",
                Alias:"",
                IsChecked:false,
                Value:"pro.ExFactoryDate",
                widthRate:2,
                testValue:'20180101'
            },
            DurabilityPeriod:{
                Id:"proDurabilityPeriod",
                Key:"DurabilityPeriod",
                Name:"保质期(天)",
                Alias:"",
                IsChecked:false,
                Value:"pro.ShelfLife",
                widthRate:2,
                testValue:'180'
            },
            Uom:{
                Id:"proUomName",
                Key:"Uom",
                Name:"单位",
                Alias:"",
                IsChecked:false,
                Value:"pro.Uom",
                widthRate:1,
                testValue:'kg'
            },
            SmallUomName: {
                Id: "proSmallUomName",
                Key: "SmallUomName",
                Name: "小单位名称",
                Alias: "",
                IsChecked: false,
                Value: "pro.SmallUomName",
                widthRate: 1,
                testValue: '袋'
            },
            SmallUnitQty: {
                Id: "proSmallUnitQty",
                Key: "SmallUnitQty",
                Name: "小单位数量",
                Alias: "",
                IsChecked: false,
                Value: "pro.SmallUnitQty",
                widthRate: 1,
                testValue: '20'
            },
            SubUomQuantity:{
                Id:"proSubUomQuantity",
                Key:"SubUomQuantity",
                Name:"辅助数量",
                Alias:"",
                IsChecked:false,
                Value:"pro.UomContent",
                widthRate:2,
                testValue:'1kg'
            },
            AllQty: {
                Id:'proUomNum',
                Key:"AllQty",
                Name:"数量",
                Alias:"",
                IsChecked:false,
                Value:"pro.AllQty",
                widthRate:1.5,
                testValue:'1'
            },
            ProOriginalPrice:{
                Id:"proOriginalPrice",
                Key:"ProOriginalPrice",
                Name:"折前单价",
                Alias:"",
                IsChecked:false,
                Value:"pro.OriginalPrice",
                widthRate:1,
                testValue:'17'
            },
            Price:{
                Id:"proCurrentPrice",
                Key:"Price",
                Name:"单价",
                Alias:"",
                IsChecked:false,
                Value:"pro.Price",
                widthRate:2,
                testValue:'16'
            },
            SmallUnitPrice:{
                Id:"proSmallUnitPrice",
                Key:"SmallUnitPrice",
                Name:"小单位单价",
                Alias:"",
                IsChecked:false,
                Value:"pro.SmallUnitPrice",
                widthRate:2,
                testValue:'20'
            },
            SettlementTotalValue:{
                Id:"proSettlementTotalValue",
                Key:"SettlementTotalValue",
                Name:"金额",
                Alias:"",
                IsChecked:false,
                Value:"pro.SettlementTotalValue",
                widthRate:2,
                testValue:'16'
            },
            Remarks:{
                Id:"proRemark",
                Key:"Remarks",
                Name:"备注",
                Alias:"",
                IsChecked:false,
                Value:"pro.ProductNotes",
                widthRate:1,
                testValue:'真好吃'
            }
        },
        cacheHeaderFootDiction:{
            PrintCreateTime:{
                Key:"PrintCreateTime",
                Name:"制单时间",
                IsAloneRow:false,
                IsChecked:true,
                IsHeader:true,
                Value:'Item.CreatDate'

            },
            ProductCode:  {
                Key:"ProductCode",
                Name:"单据编号",
                IsAloneRow:false,
                IsChecked:true,
                IsHeader:true,
                Value:'Item.BillId'
            },
            ClientName:  {
                Key:"ClientName",
                Name:"退货客户",
                IsAloneRow:false,
                IsChecked:true,
                IsHeader:true,
                Value:'Item.DealerOrgName'
            },
            ClientCustomCode: {
                Key: "ClientCustomCode",
                Name: "客户编号",
                IsAloneRow: false,
                IsChecked: true,
                IsHeader: true,
                Value: 'Item.UserCode'
            },
            ConnectMan: {
                Key:"ConnectMan",
                Name:"客户联系人",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.ConnectMan'
            },
            Phone:{
                Key:"Phone",
                Name:"客户手机号",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.Phone'
            },
            TelPhone: {
                Key:"TelPhone",
                Name:"客户电话",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.TelPhone'
            },
            CustomerState:{
                Key:"CustomerState",
                Name:"客户地址",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.CustomerAddress'
            },
            SupplierName: {
                Key:"SupplierName",
                Name:"供货者",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.SupplierName'
            },
            SupplierTelPhone: {
                Key:"SupplierTelPhone",
                Name:"供货者电话",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.SupplierTelPhone'
            },
            SupplierAddress: {
                Key:"SupplierAddress",
                Name:"供货者地址",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.SupplierAddress'
            },
            OwedAmount:  {
                Key:"OwedAmount",
                Name:"欠款金额",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.OwedAmount'
            },
            PrintCreator:  {
                Key:"PrintCreator",
                Name:"制&ensp;单&ensp;人",
                IsAloneRow:false,
                IsChecked:true,
                IsHeader:true,
                Value:'Item.CreatUserName'
            },
            PrintDigest: {
                Key:"PrintDigest",
                Name:"摘&ensp;&ensp;&ensp;&ensp;要",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:''
            },
            WarehouseName: {
                Key:"WarehouseName",
                Name:"退货仓库",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.WarehouseName'
            },
            SalesMan: {
                Key:"SalesMan",
                Name:"业&ensp;务&ensp;员",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.SaleMan'
            },

            //added by zwq
            PrintTime:{
                Key:"PrintTime",
                Name:"打印时间",
                IsAloneRow:false,
                IsChecked:true,
                IsHeader:true,
                Value:'Item.printDate'

            },
            AdvancesReceivedAmount:{
                Key:"AdvancesReceivedAmount",
                Name:"预收款余额",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.AdvancesReceivedAmount'
            },
            ShipmentCar:{
                Key:"ShipmentCar",
                Name:"发货车辆",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.ShipmentCar'
            },
            DiscountAmount: {
                Key: "DiscountAmount",
                Name: "优惠金额",
                IsAloneRow: false,
                IsChecked: false,
                IsHeader: false,
                Value: 'Item.SettlementModel.DiscountAmount'
            },
            PrePaymentAmount: {
                Key: "PrePaymentAmount",
                Name: "预收款增加",
                IsAloneRow: false,
                IsChecked: false,
                IsHeader: false,
                Value: 'Item.SettlementModel.PrePaymentAmount'
            },
            PaymentAmount: {
                Key: "PaymentAmount",
                Name: "付款金额",
                IsAloneRow: false,
                IsChecked: false,
                IsHeader: false,
                Value: 'Item.SettlementModel.PaymentAmount'
            },
            ReceivableAccount: {
                Key: "ReceivableAccount",
                Name: "欠款扣减",
                IsAloneRow: false,
                IsChecked: false,
                IsHeader: false,
                Value: 'Item.SettlementModel.ReceivableAccount'
            },
            remark:{
                Key:"remark",
                Name:"备&ensp;&ensp;&ensp;&ensp;注",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:false,
                Value:'Item.Remark'
            }
        },
        TableHead: [
            {
                Name: "序号",
                DisplayName: "序号",
                Rate: 1,
                IsShow: true,
                Key: "SeqNo",
                TdData: "OrderProduct.SeqNo",
                textStyle: "center"
            },
            {
                Name: "商品条码",
                DisplayName: "商品条码",
                Rate: 2,
                IsShow: true,
                Key: "Barcode",
                TdData: "OrderProduct.Barcode",
                textStyle: "center"
            },
            {
                Name: "商品名称",
                DisplayName: "商品名称",
                Rate: 4,
                IsShow: true,
                Key: "ProductName",
                TdData: "OrderProduct.SupplierProductName",
                textStyle: "left"
            },
            {
                Name: "规格",
                DisplayName: "规格",
                Rate: 2,
                IsShow: true,
                Key: "Specification",
                TdData: "OrderProduct.Specification",
                textStyle: "center"
            },
            {
                Name: "单位",
                DisplayName: "单位",
                Rate: 1,
                IsShow: true,
                Key: "Uom",
                TdData: "OrderProduct.Uom",
                textStyle: "center"
            },
            {
                Name: "数量",
                DisplayName: "数量",
                Rate: 1,
                IsShow: true,
                Key: "AllQty",
                TdData: "OrderProduct.AllQty",
                textStyle: "center"
            },
            {
                Name: "单价",
                DisplayName: "单价",
                Rate: 2,
                IsShow: true,
                Key: "Price",
                TdData: "OrderProduct.Price",
                textStyle: "center"
            },
            {
                Name: "金额",
                DisplayName: "金额",
                Rate: 2,
                IsShow: true,
                Key: "SettlementTotalValue",
                TdData: "OrderProduct.TotalValue",
                textStyle: "center"
            },
            {
                Name: "编码",
                DisplayName: "编码",
                Rate: 1,
                IsShow: false,
                Key: "UserCode",
                TdData: "OrderProduct.UserCode",
                textStyle: "center"
            },
            {
                Name: "备注",
                DisplayName: "备注",
                Rate: 1,
                IsShow: false,
                Key: "Remarks",
                TdData: "",
                textStyle: "left"
            }
        ]
    };
    window.PrintData.PurchaseInventoryIn = {
        Name: "进货入库单",
        Type: "PurchaseInventoryIn",
        Interface: "PurchaseInventory/Print",
        TemplateUrl: "view/print/templateTable.html",
        printTempBdDiction:{
            SeqNo:{
                Key:"SeqNo",
                Name:"序号",
                Alias:"",
                IsChecked:false,
                Value:"pro.SeqNo",
                widthRate:1
            },
            ProductName: {
                Key:"ProductName",
                Name:"商品名称",
                Alias:"",
                IsChecked:false,
                Value:"pro.ProductName",
                widthRate:4
            },
            Barcode: {
                Id:'proBarcode',
                Key:"Barcode",
                Name:"条码",
                Alias:"",
                IsChecked:false,
                Value:"pro.Barcode",
                widthRate:2.5
            },
            Specification:{
                Key:"Specification",
                Name:"规格",
                Alias:"",
                IsChecked:false,
                Value:"pro.Specification",
                widthRate:2
            },
            Attribute:{
                Id:"proAttribute",
                Key:"Attribute",
                Name:"属性",
                Alias:"",
                IsChecked:false,
                Value: "pro.ProductSubName",
                widthRate:2
            },
            UserCode:{
                Key:"UserCode",
                Name:"编码",
                Alias:"",
                IsChecked:false,
                Value:"pro.UserCode",
                widthRate:1
            },
            ManuFacturer:{
                Key:"ManuFacturer",
                Name:"生产厂家",
                Alias:"",
                IsChecked:false,
                Value:"pro.Manufacturer",
                widthRate:2
            },
            ExFactoryDate:{
                Key:"ExFactoryDate",
                Name:"生产日期",
                Alias:"",
                IsChecked:false,
                Value:"pro.ExFactoryDate",
                widthRate:2
            },
            DurabilityPeriod:{
                Key:"DurabilityPeriod",
                Name:"保质期(天)",
                Alias:"",
                IsChecked:false,
                Value:"pro.ShelfLife",
                widthRate:2
            },
            Uom:{
                Key:"Uom",
                Name:"单位",
                Alias:"",
                IsChecked:false,
                Value:"pro.RealProductUomName",
                widthRate:1
            },
            AllQty: {
                Key:"AllQty",
                Name:"数量",
                Alias:"",
                IsChecked:false,
                Value:"pro.RealProductQty",
                widthRate:1.5
            },
            SubUomQuantity:{
                Key:"SubUomQuantity",
                Name:"辅助数量",
                Alias:"",
                IsChecked:false,
                Value:"pro.UomContent",
                widthRate:2
            },
            Price:{
                Key:"Price",
                Name:"单价",
                Alias:"",
                IsChecked:false,
                Value:"pro.RealProductUomPrice",
                widthRate:2
            },
            SmallUnitPrice:{
                Key:"SmallUnitPrice",
                Name:"小单位单价",
                Alias:"",
                IsChecked:false,
                Value:"pro.SmallUnitPrice",
                widthRate:2
            },
            SettlementTotalValue:{
                Key:"SettlementTotalValue",
                Name:"金额",
                Alias:"",
                IsChecked:false,
                Value:"pro.SubTotalCostValue",
                widthRate:2
            },
            Remarks:{
                Key:"Remarks",
                Name:"备注",
                Alias:"",
                IsChecked:false,
                Value:"pro.ProductNotes",
                widthRate:1
            }
        },
        cacheHeaderFootDiction:{
            PrintCreateTime:{
                Key:"PrintCreateTime",
                Name:"制单时间",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.EditDate'

            },
            BillId:  {
                Key:"BillId",
                Name:"单据编号",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.BillId'
            },
            SupplierName:{
                Key:"SupplierName",
                Name:"供应商",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.VenderCompanyName"
            },
            ConnectMan:{
                Key:"ConnectMan",
                Name:"联系人",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.Contact"
            },
            Phone:{
                Key:"Phone",
                Name:"手机号",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.ContactTel"
            },
            TelPhone:{
                Key:"TelPhone",
                Name:"电话",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.CompanyTel"
            },
            SupplierAddress:{
                Key:"SupplierAddress",
                Name:"供应商地址",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.Address"
            },
            DestinationWareHouseName:{
                Key:"DestinationWareHouseName",
                Name:"入库仓库",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.Storename"
            },
            PrintCreator:  {
                Key:"PrintCreator",
                Name:"制单人",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.Createname'
            },
            PrintTime:{
                Key:"PrintTime",
                Name:"打印时间",
                IsAloneRow:false,
                IsChecked:true,
                IsHeader:true,
                Value:'Item.printDate'
            },
            AdvanceChargeAmount:{
                Key:"AdvanceChargeAmount",
                Name:"预付款余额",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.AdvanceChargeAmount'
            },
            DiscountAmount:{
                Key:"DiscountAmount",
                Name:"优惠金额",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.SettlementModel.DiscountAmount'
            },
            PrePaymentAmount:{
                Key:"PrePaymentAmount",
                Name:"预付款扣减",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.SettlementModel.PrePaymentAmount'
            },
            PaymentAmount:{
                Key:"PaymentAmount",
                Name:"付款金额",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.SettlementModel.PaymentAmount'
            },
            ReceivableAccount:{
                Key:"ReceivableAccount",
                Name:"欠款",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.SettlementModel.ReceivableAccount'
            },
            remark:{
                Key:"remark",
                Name:"备注",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.Note'
            }
        }
    };
    window.PrintData.PurchaseInventoryReturnOut = {
        Name: "进货退出库单",
        Type: "PurchaseInventoryReturnOut",
        Interface: "PurchaseReturnOut/Print",
        TemplateUrl: "view/print/templateTable.html",
        printTempBdDiction:{
            SeqNo:{
                Key:"SeqNo",
                Name:"序号",
                Alias:"",
                IsChecked:false,
                Value:"pro.SeqNo",
                widthRate:1
            },
            ProductName: {
                Key:"ProductName",
                Name:"商品名称",
                Alias:"",
                IsChecked:false,
                Value:"pro.ProductName",
                widthRate:4
            },
            Barcode: {
                Id:'proBarcode',
                Key:"Barcode",
                Name:"条码",
                Alias:"",
                IsChecked:false,
                Value:"pro.Barcode",
                widthRate:2.5
            },
            Attribute:{
                Id:"proAttribute",
                Key:"Attribute",
                Name:"属性",
                Alias:"",
                IsChecked:false,
                Value: "pro.ProductSubName",
                widthRate:2
            },
            Specification:{
                Key:"Specification",
                Name:"规格",
                Alias:"",
                IsChecked:false,
                Value:"pro.Specification",
                widthRate:2
            },
            UserCode:{
                Key:"UserCode",
                Name:"编码",
                Alias:"",
                IsChecked:false,
                Value:"pro.UserCode",
                widthRate:1
            },
            ManuFacturer:{
                Key:"ManuFacturer",
                Name:"生产厂家",
                Alias:"",
                IsChecked:false,
                Value:"pro.Manufacturer",
                widthRate:2
            },
            ExFactoryDate:{
                Key:"ExFactoryDate",
                Name:"生产日期",
                Alias:"",
                IsChecked:false,
                Value:"pro.ExFactoryDate",
                widthRate:2
            },
            DurabilityPeriod:{
                Key:"DurabilityPeriod",
                Name:"保质期(天)",
                Alias:"",
                IsChecked:false,
                Value:"pro.ShelfLife",
                widthRate:2
            },
            Uom:{
                Key:"Uom",
                Name:"单位",
                Alias:"",
                IsChecked:false,
                Value:"pro.RealProductUomName",
                widthRate:1
            },
            AllQty: {
                Key:"AllQty",
                Name:"数量",
                Alias:"",
                IsChecked:false,
                Value:"pro.RealProductQty",
                widthRate:1.5
            },
            SubUomQuantity:{
                Key:"SubUomQuantity",
                Name:"辅助数量",
                Alias:"",
                IsChecked:false,
                Value:"pro.UomContent",
                widthRate:2
            },
            Price:{
                Key:"Price",
                Name:"单价",
                Alias:"",
                IsChecked:false,
                Value:"pro.RealProductUomPrice",
                widthRate:2
            },
            SettlementTotalValue:{
                Key:"SettlementTotalValue",
                Name:"金额",
                Alias:"",
                IsChecked:false,
                Value:"pro.SubTotalCostValue",
                widthRate:2
            },
            SmallUnitPrice:{
                Key:"SmallUnitPrice",
                Name:"小单位单价",
                Alias:"",
                IsChecked:false,
                Value:"pro.SmallUnitPrice",
                widthRate:2
            },
            Remarks:{
                Key:"Remarks",
                Name:"备注",
                Alias:"",
                IsChecked:false,
                Value:"pro.ProductNotes",
                widthRate:1
            }
        },
        cacheHeaderFootDiction:{
            PrintCreateTime:{
                Key:"PrintCreateTime",
                Name:"制单时间",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.EditDate'

            },
            BillId:  {
                Key:"BillId",
                Name:"单据编号",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.BillId'
            },
            SupplierName:{
                Key:"SupplierName",
                Name:"供应商",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.VenderCompanyName"
            },
            ConnectMan:{
                Key:"ConnectMan",
                Name:"联系人",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.Contact"
            },
            Phone:{
                Key:"Phone",
                Name:"手机号",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.ContactTel"
            },
            TelPhone:{
                Key:"TelPhone",
                Name:"电话",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.CompanyTel"
            },
            SupplierAddress:{
                Key:"SupplierAddress",
                Name:"供应商地址",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.Address"
            },
            SourceWareHouseName:{
                Key:"SourceWareHouseName",
                Name:"出库仓库",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.Storename"
            },
            PrintCreator:  {
                Key:"PrintCreator",
                Name:"制单人",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.Createname'
            },
            PrintTime:{
                Key:"PrintTime",
                Name:"打印时间",
                IsAloneRow:false,
                IsChecked:true,
                IsHeader:true,
                Value:'Item.printDate'
            },
            AdvanceChargeAmount:{
                Key:"AdvanceChargeAmount",
                Name:"预付款余额",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.AdvanceChargeAmount'
            },
            DiscountAmount:{
                Key:"DiscountAmount",
                Name:"优惠金额",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.SettlementModel.DiscountAmount'
            },
            PrePaymentAmount:{
                Key:"PrePaymentAmount",
                Name:"预付款增加",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.SettlementModel.PrePaymentAmount'
            },
            PaymentAmount:{
                Key:"PaymentAmount",
                Name:"付款金额",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.SettlementModel.PaymentAmount'
            },
            ReceivableAccount:{
                Key:"ReceivableAccount",
                Name:"欠款扣减",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.SettlementModel.ReceivableAccount'
            },
            remark:{
                Key:"remark",
                Name:"备注",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.Note'
            }
        }
    };
    window.PrintData.InventoryDispatch = {
        Name: "调拨单",
        Type: "InventoryDispatch",
        Interface: "InventoryDispatch/Print",
        TemplateUrl: "view/print/templateTable.html",
        printTempBdDiction:{
            SeqNo:{
                Key:"SeqNo",
                Name:"序号",
                Alias:"",
                IsChecked:false,
                Value:"pro.SeqNo",
                widthRate:1
            },
            ProductName: {
                Key:"ProductName",
                Name:"商品名称",
                Alias:"",
                IsChecked:false,
                Value:"pro.ProductName",
                widthRate:4
            },
            Attribute:{
                Key:"Attribute",
                Name:"属性",
                Alias:"",
                IsChecked:false,
                Value: "pro.ProductSubName",
                widthRate:2
            },
            Barcode: {
                Id:'proBarcode',
                Key:"Barcode",
                Name:"条码",
                Alias:"",
                IsChecked:false,
                Value:"pro.Barcode",
                widthRate:2.5
            },
            Specification:{
                Key:"Specification",
                Name:"规格",
                Alias:"",
                IsChecked:false,
                Value:"pro.Specification",
                widthRate:2
            },
            UserCode:{
                Key:"UserCode",
                Name:"编码",
                Alias:"",
                IsChecked:false,
                Value:"pro.UserCode",
                widthRate:1
            },
            ManuFacturer:{
                Key:"ManuFacturer",
                Name:"生产厂家",
                Alias:"",
                IsChecked:false,
                Value:"pro.Manufacturer",
                widthRate:2
            },
            ExFactoryDate:{
                Key:"ExFactoryDate",
                Name:"生产日期",
                Alias:"",
                IsChecked:false,
                Value:"pro.ExFactoryDate",
                widthRate:2
            },
            DurabilityPeriod:{
                Key:"DurabilityPeriod",
                Name:"保质期(天)",
                Alias:"",
                IsChecked:false,
                Value:"pro.ShelfLife",
                widthRate:2
            },
            Uom:{
                Key:"Uom",
                Name:"单位",
                Alias:"",
                IsChecked:false,
                Value:"pro.RealProductUomName",
                widthRate:1
            },
            AllQty: {
                Key:"AllQty",
                Name:"数量",
                Alias:"",
                IsChecked:false,
                Value:"pro.RealProductQty",
                widthRate:1.5
            },
            SubUomQuantity:{
                Key:"SubUomQuantity",
                Name:"辅助数量",
                Alias:"",
                IsChecked:false,
                Value:"pro.UomContent",
                widthRate:2
            }
        },
        cacheHeaderFootDiction:{
            PrintCreateTime:{
                Key:"PrintCreateTime",
                Name:"制单时间",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.CreateDate'

            },
            BillId:  {
                Key:"BillId",
                Name:"单据编号",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.BillId'
            },
            SourceWareHouseName:{
                Key:"SourceWareHouseName",
                Name:"出货仓库",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.SourceWareHouseName"
            },
            DestinationWareHouseName:{
                Key:"DestinationWareHouseName",
                Name:"入库仓库",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.DestinationWareHouseName"
            },
            PrintCreator:  {
                Key:"PrintCreator",
                Name:"制单人",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.CreatorName'
            },
            PrintTime:{
                Key:"PrintTime",
                Name:"打印时间",
                IsAloneRow:false,
                IsChecked:true,
                IsHeader:true,
                Value:'Item.printDate'
            },
            remark:{
                Key:"remark",
                Name:"备注",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.Note'
            }
        }
    };
    window.PrintData.PurchaseOrder = {
        Name: "进货订单",
        Type: "PurchaseOrder",
        Interface: "Purchase/Print",
        TemplateUrl: "view/print/templateTable.html",
        printTempBdDiction:{
            SeqNo:{
                Key:"SeqNo",
                Name:"序号",
                Alias:"",
                IsChecked:false,
                Value:"pro.SeqNo",
                widthRate:1
            },
            ProductName: {
                Key:"ProductName",
                Name:"商品名称",
                Alias:"",
                IsChecked:false,
                Value:"pro.ProductName",
                widthRate:4
            },
            Barcode: {
                Id:'proBarcode',
                Key:"Barcode",
                Name:"条码",
                Alias:"",
                IsChecked:false,
                Value:"pro.Barcode",
                widthRate:2.5
            },
            Attribute:{
                Key:"Attribute",
                Name:"属性",
                Alias:"",
                IsChecked:false,
                Value: "pro.ProductSubName",
                widthRate:2
            },
            Specification:{
                Key:"Specification",
                Name:"规格",
                Alias:"",
                IsChecked:false,
                Value:"pro.Specification",
                widthRate:2
            },
            UserCode:{
                Key:"UserCode",
                Name:"编码",
                Alias:"",
                IsChecked:false,
                Value:"pro.UserCode",
                widthRate:1
            },
            ManuFacturer:{
                Key:"ManuFacturer",
                Name:"生产厂家",
                Alias:"",
                IsChecked:false,
                Value:"pro.Manufacturer",
                widthRate:2
            },
            DurabilityPeriod:{
                Key:"DurabilityPeriod",
                Name:"保质期(天)",
                Alias:"",
                IsChecked:false,
                Value:"pro.ShelfLife",
                widthRate:2
            },
            Uom:{
                Key:"Uom",
                Name:"单位",
                Alias:"",
                IsChecked:false,
                Value:"pro.RealProductUomName",
                widthRate:1
            },
            AllQty: {
                Key:"AllQty",
                Name:"数量",
                Alias:"",
                IsChecked:false,
                Value:"pro.RealProductQty",
                widthRate:1.5
            },
            SubUomQuantity:{
                Key:"SubUomQuantity",
                Name:"辅助数量",
                Alias:"",
                IsChecked:false,
                Value:"pro.UomContent",
                widthRate:2
            },
            Price:{
                Key:"Price",
                Name:"单价",
                Alias:"",
                IsChecked:false,
                Value:"pro.RealProductUomPrice",
                widthRate:2
            },
            SettlementTotalValue:{
                Key:"SettlementTotalValue",
                Name:"金额",
                Alias:"",
                IsChecked:false,
                Value:"pro.Amount",
                widthRate:2
            },
            SmallUnitPrice:{
                Key:"SmallUnitPrice",
                Name:"小单位单价",
                Alias:"",
                IsChecked:false,
                Value:"pro.SmallUnitPrice",
                widthRate:2
            },
            Remarks:{
                Key:"Remarks",
                Name:"备注",
                Alias:"",
                IsChecked:false,
                Value:"pro.ProductNotes",
                widthRate:1
            }
        },
        cacheHeaderFootDiction:{
            PrintCreateTime:{
                Key:"PrintCreateTime",
                Name:"制单时间",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.CreateDate'

            },
            BillId:  {
                Key:"BillId",
                Name:"单据编号",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.BillId'
            },
            SupplierName:{
                Key:"SupplierName",
                Name:"供应商",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.SupplierOrgName"
            },
            ConnectMan:{
                Key:"ConnectMan",
                Name:"联系人",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.SupplierContact"
            },
            Phone:{
                Key:"Phone",
                Name:"手机号",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.SupplierContactTel"
            },
            TelPhone:{
                Key:"TelPhone",
                Name:"电话",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.SupplierCompanyTel"
            },
            SupplierAddress:{
                Key:"SupplierAddress",
                Name:"供应商地址",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.SupplierAddress"
            },
            PrintCreator:  {
                Key:"PrintCreator",
                Name:"制单人",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.CreateUserName'
            },
            DestinationWareHouseName:{
                Key:"DestinationWareHouseName",
                Name:"入库仓库",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.SourceWareHouseName"
            },
            Buyer:{
                Key:"Buyer",
                Name:"采购员",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:"Item.OwnerName"
            },
            PrintTime:{
                Key:"PrintTime",
                Name:"打印时间",
                IsAloneRow:false,
                IsChecked:true,
                IsHeader:true,
                Value:'Item.printDate'
            },
            AdvanceChargeAmount:{
                Key:"AdvanceChargeAmount",
                Name:"预付款余额",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.AdvancesReceivedAmount'
            },
            remark:{
                Key:"remark",
                Name:"备注",
                IsAloneRow:false,
                IsChecked:false,
                IsHeader:true,
                Value:'Item.Remark'
            }
        }
    };

    //打印模板字典
    window.PrintTemplateDictionary = {
        HeaderGroup:{},
        TbodyGroup:{}
    };
    //字典模板表头和表尾字典集合
    window.PrintTemplateDictionary.HeaderGroup = {
        printCreateTime:{
            Key:"PrintCreateTime",
            Name:"制单时间",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        productCode:{
            Key:"ProductCode", //兼容性问题，销售单、销退单用的这个字段保存的
            Name:"单据编号",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        billId:{
            Key:"BillId", //
            Name:"单据编号",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        saleReturnClient:{
            Key:"ClientName",
            Name:"退货客户",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        clientName:{
            Key:"ClientName",
            Name:"客&ensp;&ensp;&ensp;&ensp;户",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        clientCustomCode:{
            Key:"ClientCustomCode",
            Name:"客户编号",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        supplierName:{
            Key:"SupplierName",
            Name:"供&ensp;应&ensp;商",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        contacter:{
            Key:"ConnectMan",
            Name:"联&nbsp;系&nbsp;人",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        mobilePhone:{
            Key:"Phone",
            Name:"手&ensp;机&ensp;号",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        telPhone:{
            Key:"TelPhone",
            Name:"电&ensp;&ensp;&ensp;&ensp;话",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        clientAddress:{
            Key:"CustomerState",
            Name:"客户地址",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        supplierAddress:{
            Key:"SupplierAddress",
            Name:"供应商地址",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        owedAmount:{ //欠人家
            Key:"OwedAmount",
            Name:"合计欠款",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        billCreator:{
            Key:"PrintCreator",
            Name:"制&nbsp;单&nbsp;人",
            IsAloneRow:false,
            IsChecked:true,
            IsHeader:true
        },
        dispactchWarehouse:{
            Key:"WarehouseName",//销售单发货仓库
            Name:"发货仓库",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        saleReturnWarehouse:{
            Key:"WarehouseName", //退货单退货仓库
            Name:"退货仓库",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        sourceWarehouse:{
            Key:"SourceWareHouseName", //调拨单出货仓库
            Name:"出货仓库",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        destinationWarehouse:{
            Key:"DestinationWareHouseName", //调拨单入库仓库
            Name:"入库仓库",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        saleMan:{
            Key:"SalesMan",
            Name:"业&nbsp;务&nbsp;员",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        buyer:{
            Key:"Buyer",
            Name:"采&nbsp;购&nbsp;员",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        printTime:{
            Key:"PrintTime",
            Name:"打印时间",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        AdvanceChargeAmount:{
            Key:"AdvanceChargeAmount",
            Name:"预付款余额",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        discountAmount:{
            Key: "DiscountAmount",
            Name: "优惠金额",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        prePaymentAmount:{
            Key: "PrePaymentAmount",
            Name: "预收款扣减",
            IsAloneRow: false,
            IsChecked: false,
            IsHeader: true
        },
        saleReturnPrePaymentAmount:{
            Key: "PrePaymentAmount",
            Name: "预收款增加",
            IsAloneRow: false,
            IsChecked: false,
            IsHeader: true
        },
        increasePrepayment:{
            Key: "PrePaymentAmount",
            Name: "预付款增加",
            IsAloneRow: false,
            IsChecked: false,
            IsHeader: true
        },
        decreasePrepayment:{
            Key: "PrePaymentAmount",
            Name: "预付款扣减",
            IsAloneRow: false,
            IsChecked: false,
            IsHeader: true
        },
        paymentAmount:{ //付款的现金
            Key: "PaymentAmount",
            Name: "付款金额",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        saleReturnReceivableAccount:{ //退货，欠款应从应收金额减少
            Key: "ReceivableAccount",
            Name: "欠款扣减",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        receivableAccount:{ //应收金额
            Key: "ReceivableAccount",
            Name: "欠&ensp;&ensp;&ensp;&ensp;款",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        remark:{
            Key:"remark", //页尾备注
            Name:"备&ensp;&ensp;&ensp;&ensp;注",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        },
        shipmentCar:{
            Key:"ShipmentCar",
            Name:"发货车辆",
            IsAloneRow:false,
            IsChecked:false,
            IsHeader:true
        }
    };
    //字典模板表体字典集合
    window.PrintTemplateDictionary.TbodyGroup = {
        proIndex: {
            Id:"proIndex",
            Key:"SeqNo",
            Name:"序号",
            Alias:"",
            IsChecked:false,
            widthRate:1,
            testValue:'1'
        },
        proName:{
            Id:"proName",
            Key:"ProductName",
            Name:"商品名称",
            Alias:"",
            IsChecked:false,
            widthRate:4,
            testValue:'中意清凉薄荷糖'
        },
        proBarcode:{
            Id:'proBarcode',
            Key:"Barcode",
            Name:"条码",
            Alias:"",
            IsChecked:false,
            widthRate:2.5,
            testValue:'2004854105728'
        },
        proAttribute:{
            Id:"proAttribute",
            Key:"Attribute",
            Name:"属性",
            Alias:"",
            IsChecked:false,
            widthRate:2
        },
        proSpecification:{
            Id:'proSpecification',
            Key:"Specification",
            Name:"规格",
            Alias:"",
            IsChecked:false,
            widthRate:2,
            testValue:'1*15'
        },
        proSelfBarcode:{
            Id:"proSelfBarcode",
            Key:"UserCode",
            Name:"编码",
            Alias:"",
            IsChecked:false,
            widthRate:1,
            testValue:'43020'
        },
        proManuFacturer:{
            Id:"proManuFacturer",
            Key:"ManuFacturer",
            Name:"生产厂家",
            Alias:"",
            IsChecked:false,
            widthRate:2,
            testValue:'中意食品'
        },
        proExFactoryDate:{
            Id:"proExFactoryDate",
            Key:"ExFactoryDate",
            Name:"生产日期",
            Alias:"",
            IsChecked:false,
            widthRate:2,
            testValue:'2017/10/20'
        },
        proDurabilityPeriod: {
            Id:"proDurabilityPeriod",
            Key:"DurabilityPeriod",
            Name:"保质期(天)",
            Alias:"",
            IsChecked:false,
            widthRate:2,
            testValue:'180'
        },
        proUomName:{
            Id:"proUomName",
            Key:"Uom",
            Name:"单位",
            Alias:"",
            IsChecked:false,
            widthRate:1,
            testValue:'kg'
        },
        proSubUomQuantity:{
            Id:"proSubUomQuantity",
            Key:"SubUomQuantity",
            Name:"辅助数量",
            Alias:"",
            IsChecked:false,
            widthRate:2,
            testValue:'1kg'
        },
        proUomNum:{
            Id:'proUomNum',
            Key:"AllQty",
            Name:"数量",
            Alias:"",
            IsChecked:false,
            widthRate:1.5,
            testValue:'1'
        },
        proCurrentPrice:{
            Id:"proCurrentPrice",
            Key:"Price",
            Name:"单价",
            Alias:"",
            IsChecked:false,
            widthRate:2,
            testValue:'16'
        },
        SmallUnitPrice:{
            Id:"proSmallUnitPrice",
            Key:"SmallUnitPrice",
            Name:"小单位单价",
            Alias:"",
            IsChecked:false,
            widthRate:2,
            testValue:'20'
        },
        proSettlementTotalValue:{
            Id:"proSettlementTotalValue",
            Key:"SettlementTotalValue",
            Name:"金额",
            Alias:"",
            IsChecked:false,
            widthRate:2,
            testValue:'16'
        },
        proRemark:{
            Id:"proRemark",
            Key:"Remarks",
            Name:"备注",
            Alias:"",
            IsChecked:false,
            widthRate:1,
            testValue:'真好吃'
        }
    };

    //默认销售、销退模板字典
    window.PrintData.printTempColumn = [
        {
            Id: "proIndex",
            Key: "SeqNo",
            Name: "序号",
            Alias: "",
            IsChecked: false,
            Value: 'pro.SeqNo',
            widthRate: 1
        },
        {
            Id: "proName",
            Key: "ProductName",
            Name: "商品名称",
            Alias: "",
            IsChecked: false,
            Value: "pro.SupplierProductName",
            widthRate: 4
        },
        {
            Id:"proAttribute",
            Key:"Attribute",
            Name:"属性",
            Alias:"",
            IsChecked:false,
            Value: "pro.ProductSubName",
            widthRate:2
        },
        {
            Id: 'proBarcode',
            Key: "Barcode",
            Name: "条码",
            Alias: "",
            IsChecked: false,
            Value: "pro.Barcode",
            widthRate: 2.5
        },
        {
            Id: 'proSpecification',
            Key: "Specification",
            Name: "规格",
            Alias: "",
            IsChecked: false,
            Value: "pro.Specification",
            widthRate: 2
        },
        {
            Id: "proUomName",
            Key: "Uom",
            Name: "单位",
            Alias: "",
            IsChecked: false,
            Value: "pro.Uom",
            widthRate: 1
        },
        {
            Id: 'proUomNum',
            Key: "AllQty",
            Name: "数量",
            Alias: "",
            IsChecked: false,
            Value: "pro.AllQty",
            widthRate: 1.5
        },
        {
            Id: "proCurrentPrice",
            Key: "Price",
            Name: "单价",
            Alias: "",
            IsChecked: false,
            Value: "pro.Price",
            widthRate: 2
        },
        {
            Id: "proSettlementTotalValue",
            Key: "SettlementTotalValue",
            Name: "金额",
            Alias: "",
            IsChecked: false,
            Value: "pro.SettlementTotalValue",
            widthRate: 2
        },
        {
            Id: "proRemark",
            Key: "Remarks",
            Name: "备注",
            Alias: "",
            IsChecked: false,
            Value: "pro.ProductNotes",
            widthRate: 1
        }
    ];
    //默认销售、销退单表头
    window.PrintData.Header = [
        {
            Key: "PrintCreateTime",
            Name: "制单时间",
            IsAloneRow: false,
            IsChecked: true,
            IsHeader: true,
            Value: 'Item.CreatDate'
        },
        {
            Key: "ProductCode",
            Name: "单据编号",
            IsAloneRow: false,
            IsChecked: true,
            IsHeader: true,
            Value: 'Item.BillId'

        },
        {
            Key: "ClientName",
            Name: "客&nbsp;&nbsp;&nbsp;&nbsp;户",
            IsAloneRow: false,
            IsChecked: true,
            IsHeader: true,
            Value: 'Item.DealerOrgName'
        },
        {
            Key: "PrintCreator",
            Name: "制&nbsp;单&nbsp;人",
            IsAloneRow: false,
            IsChecked: true,
            IsHeader: true,
            Value: 'Item.CreatUserName'

        }
    ];
})(window, window.angular);