/**
 * Created by Ding Yuan on 2016/4/6.
 */
(function (){
    'use strict';
    angular.module('public', ['public.distribution'])
        .controller('PublicCtrl', ['$rootScope','$scope','$interval','$ionicHistory',
            'commonLib','webApi','ybHttp','$http','$state','$q','LocalData','$timeout', 'ExpirePrompt','AgreementPrompt','bluetoothPrintService','$ionicPlatform',
            function($rootScope,$scope,$interval,$ionicHistory,commonLib,webApi,ybHttp, $http, $state, $q,LocalData, $timeout, ExpirePrompt,AgreementPrompt,bluetoothPrintService,$ionicPlatform) {
                $ionicPlatform.ready(function () {
                    if(angular.isDefined(window.cordova)){
                        bluetoothPrintService.initPrinterService();
                    }
                    if (!$ionicPlatform.is('IOS')) {
                        return;
                    }
                    $timeout(function(){
                        bluetoothPrintService.initPrinterService();
                    },2000);
                });
                $scope.backGo = function() {
                    $ionicHistory.goBack();
                };

                $rootScope.IsAdmin = LocalData.getIsAdmin();
                $scope.$on('authChange', function () {
                    $timeout(function () {
                        $rootScope.IsAdmin = LocalData.getIsAdmin();
                        ExpirePrompt.showExpirePrompt();
                    });
                });

                AgreementPrompt.showAgreementPrompt();

                var vm = this;
                vm.goTo = goPage;
                function goPage(routeId){
                    if($scope.Global_isLogined){
                        $state.go(routeId);
                    }else{
                        commonLib.showMsg('您尚未登录，请先登录');
                        setTimeout(function(){
                            $state.go('public.login');
                        },1400);
                    }
                }

                $scope.contant ={
                    PAGE_SIZE:10,
                    LOAD_MORE_TIMEOUT:300,
                    PAYMAX_MAX_VALUE:1000000000.00,
                    PAYMAX_MIN_VALUE:0.01
                } ;
                $scope.ui = 'default';

                $scope.getMoreData= function(url,postData,currPage){
                    var dfd = $q.defer();
                    var loadOver=false;
                    var isEmpty=false;
                    ybHttp.get(url,postData)
                        .then(function (data) {
                            if (data.Code === 0) {
                                isEmpty = !data.Value.TotalRows;
                                if (currPage * Number($scope.contant.PAGE_SIZE) >= data.Value.TotalRows) {
                                    dfd.resolve({
                                        data: data.Value.List,
                                        page: currPage + 1,
                                        isLoadOver: loadOver,
                                        empty: isEmpty,
                                        totalRow: data.Value.TotalRows
                                    });
                                    return dfd.promise;
                                }
                                loadOver = true;
                                dfd.resolve({
                                    data: data.Value.List,
                                    page: currPage + 1,
                                    isLoadOver: loadOver,
                                    empty: isEmpty,
                                    totalRow: data.Value.TotalRows
                                });
                            } else {
                                isEmpty = true;
                                if(data.Code!==-5){
                                    commonLib.showMsg(data.Message);
                                }
                                dfd.reject(null);

                            }
                        },function(data){
                            dfd.reject(data);
                        })
                        .finally(function(){
                        });
                    return dfd.promise;
                };
            }]);
})();
