cordova.define("cordova-plugin-seuic-scanner.SeuicScanner", function(require, exports, module) {
var exec = require('cordova/exec');
var cordova = require('cordova');

var appIsActive = true;

var Scanner = function() {
    this.channels = {
        scanResult:cordova.addWindowEventHandler("scanresult")
        //cancelScan:cordova.addWindowEventHandler("cancelScan")
    };
    for (var key in this.channels) {
        this.channels[key].onHasSubscribersChange = Scanner.onHasSubscribersChange;
    }
};

function handlers() {
    return scanner.channels.scanResult.numHandlers;
}

/**
 * Event handlers for when callbacks get registered for the battery.
 * Keep track of how many handlers we have so we can start and stop the native battery listener
 * appropriately (and hopefully save on battery life!).
 */
Scanner.onHasSubscribersChange = function() {
    // If we just registered the first handler, make sure native listener is started.
    console.info("this.numHandlers is :" + this.numHandlers);
    if (this.numHandlers === 1 && handlers() === 1) {
        exec(scanner._success, scanner._error, "SeuicScanner", "getBarCode", []);
    } else if (handlers() === 0) {
        exec(null, null, "SeuicScanner", "cancelScan", []);
    }
};

/**
 * Callback for scan success
 *
 * @param String info
 */
Scanner.prototype._success = function (info) {
    console.info(info);
    if (info && appIsActive) {
        cordova.fireWindowEvent("scanresult", {barCode:info});
    }
};

/**
 * Error callback for battery start
 */
Scanner.prototype._error = function(e) {
    console.log("Error initializing Battery: " + e);
};


Scanner.prototype._getScanResult = function (success, error) {
    exec(success, error, "SeuicScanner", "getBarCode", []);
};

Scanner.prototype._cancelScan = function (success, error) {
    exec(success, error, "SeuicScanner", "cancelScan", []);
};

Scanner.prototype._initBroadcastName = function (success, error) {
    exec(success, error, "SeuicScanner", "initBroadcastName", []);
};

document.addEventListener("pause", function () {
    appIsActive = false;
}, false);

document.addEventListener("resume", function () {
    appIsActive = true;
}, false);

var scanner = new Scanner(); // jshint ignore:line

module.exports = scanner;
});
